/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/

// It contains common definitions for the client and customisation API.
// It should not be modified manually.

#ifndef APPLAYOUT_CDL_COMMON_H
#define APPLAYOUT_CDL_COMMON_H


#include <AknLayout2Def.h>


namespace AppLayout
{
#include "applayout.cdl.common.hrh"

// These constants are defined by the CDL interface: AppLayout
_LIT(KCdlName, "AppLayout");
const TInt KCdlInterfaceUidValue = _CDL_AppLayout_KCdlInterfaceUidValue;
const TUid KCdlInterfaceUid = { KCdlInterfaceUidValue };
const TInt KCdlInterfaceMajorVersion = 1;
const TInt KCdlInterfaceMinorVersion = 0;
const TUint KCdlInterfaceFlags = KCdlFlagRomOnly;

// These are the API ids used in this interface.
enum TApiId
	{
	EApiId_Browser_image_highlight_Line_1,
	EApiId_Browser_image_highlight_Line_2,
	EApiId_Browser_image_highlight_Line_3,
	EApiId_Browser_image_highlight_Line_4,
	EApiId_Browser_image_highlight_Line_5,
	EApiId_Browser_image_highlight_Line_6,
	EApiId_Browser_image_highlight_Line_7,
	EApiId_Browser_image_highlight_Line_8,
	EApiId_Browser_image_highlight_Line_9,
	EApiId_Browser_image_highlight_Limits,
	EApiId_Browser_image_highlight,
	EApiId_Navi_pane_elements_Line_1,
	EApiId_list_cale_time_pane,
	EApiId_list_pinb_item_pane,
	EApiId_List_pane_elements__cale_time__Line_1,
	EApiId_List_pane_elements__cale_time__Line_2,
	EApiId_List_pane_elements__cale_time__Line_3,
	EApiId_List_pane_texts__cale_time__Line_1,
	EApiId_Multiline_List_pane_texts__cale_time__Line_1,
	EApiId_List_pane_texts__cale_time__Line_2,
	EApiId_List_pane_texts__cale_time__Line_3,
	EApiId_Multiline_List_pane_texts__cale_time__Line_3,
	EApiId_List_pane_elements__pinb_item__Line_1,
	EApiId_List_pane_elements__pinb_item__Line_2,
	EApiId_List_pane_elements__pinb_item__Line_3,
	EApiId_List_pane_elements__pinb_item__Line_4,
	EApiId_List_pane_elements__pinb_item__SUB_TABLE_0_Limits,
	EApiId_List_pane_elements__pinb_item__SUB_TABLE_0,
	EApiId_List_pane_texts__pinb_item__Line_1,
	EApiId_List_pane_highlight__several__Line_1,
	EApiId_List_pane_highlight__several__Line_2,
	EApiId_List_pane_highlight__several__Limits,
	EApiId_List_pane_highlight__several_,
	EApiId_cell_pinb_pane,
	EApiId_cell_qdial_pane,
	EApiId_cell_cale_month_pane,
	EApiId_cell_calc_pane,
	EApiId_cell_cale_week_pane,
	EApiId_cell_vorec_pane,
	EApiId_cell_gms_pane,
	EApiId_cell_mp_pane,
	EApiId_Grid_pane_descendants_SUB_TABLE_0_Limits,
	EApiId_Grid_pane_descendants_SUB_TABLE_0,
	EApiId_Cell_pane_elements__pinb__Line_1,
	EApiId_Cell_pane_elements__pinb__Line_2,
	EApiId_Cell_pane_elements__pinb__Line_3,
	EApiId_Cell_pane_elements__pinb__Limits,
	EApiId_Cell_pane_elements__pinb_,
	EApiId_Cell_pane_elements__qdial__Line_1,
	EApiId_Cell_pane_elements__qdial__Line_2,
	EApiId_Cell_pane_elements__qdial__Line_3,
	EApiId_Cell_pane_elements__qdial__Line_4,
	EApiId_Cell_pane_elements__qdial__Line_5,
	EApiId_Cell_pane_elements__qdial__Line_6,
	EApiId_Cell_pane_elements__qdial__Line_7,
	EApiId_Cell_pane_elements__qdial__Line_8,
	EApiId_Cell_pane_elements__qdial__Line_9,
	EApiId_Cell_pane_elements__qdial__Line_10,
	EApiId_Cell_pane_elements__qdial__Line_11,
	EApiId_Cell_pane_elements__qdial__Line_12,
	EApiId_Cell_pane_elements__qdial__Line_13,
	EApiId_Cell_pane_elements__qdial__Line_14,
	EApiId_Cell_pane_elements__qdial__Line_15,
	EApiId_Cell_pane_elements__qdial__Line_16,
	EApiId_Cell_pane_elements__qdial__Line_17,
	EApiId_Cell_pane_elements__qdial__Line_18,
	EApiId_Cell_pane_elements__qdial__Line_19,
	EApiId_Cell_pane_elements__qdial__Line_20,
	EApiId_Cell_pane_elements__qdial__Line_21,
	EApiId_Cell_pane_elements__qdial__Limits,
	EApiId_Cell_pane_elements__qdial_,
	EApiId_Cell_pane_texts__qdial__Line_1,
	EApiId_Multiline_Cell_pane_texts__qdial__Line_1,
	EApiId_Cell_pane_elements__cale_month__Line_1,
	EApiId_Cell_pane_elements__cale_month__Line_2,
	EApiId_Cell_pane_texts__cale_month__Line_1,
	EApiId_Cell_pane_elements__calc__Line_1,
	EApiId_Cell_pane_elements__cale_week__Line_1,
	EApiId_Cell_pane_elements__cale_week__Line_2,
	EApiId_Cell_pane_elements__cale_week__Line_3,
	EApiId_Cell_pane_elements__cale_week__Line_4,
	EApiId_Cell_pane_elements__cale_week__SUB_TABLE_0_Limits,
	EApiId_Cell_pane_elements__cale_week__SUB_TABLE_0,
	EApiId_Voice_Recorder_cell_elements_Line_1,
	EApiId_Graphical_message_cell_elements_Line_1,
	EApiId_Graphical_message_cell_elements_Line_2,
	EApiId_Graphical_message_cell_elements_Limits,
	EApiId_Graphical_message_cell_elements,
	EApiId_MediaPlayer_cell_elements_Line_1,
	EApiId_Cell_pane_highlight_elements__various__Line_1,
	EApiId_Cell_pane_highlight_elements__qdial__Line_1,
	EApiId_Cell_pane_highlight_elements__qdial__Line_2,
	EApiId_Browser_texts_Line_1,
	EApiId_Multiline_Browser_texts_Line_1,
	EApiId_Browser_texts_Line_2,
	EApiId_Multiline_Browser_texts_Line_2,
	EApiId_Browser_texts_Line_3,
	EApiId_Multiline_Browser_texts_Line_3,
	EApiId_Browser_texts_Limits,
	EApiId_Browser_texts,
	EApiId_Browser_selection_box_elements_Line_1,
	EApiId_Browser_selection_box_elements_Line_2,
	EApiId_Browser_selection_box_elements_Line_3,
	EApiId_Browser_selection_box_elements_Line_4,
	EApiId_Browser_selection_box_elements_Limits,
	EApiId_Browser_selection_box_elements,
	EApiId_Browser_highlights_Line_1,
	EApiId_Browser_highlights_Line_2,
	EApiId_Browser_highlights_Limits,
	EApiId_Browser_highlights,
	EApiId_Browser_text_link_underlining_Line_1,
	EApiId_Browser_table_frame_graphics_and_highlight_Line_1,
	EApiId_Browser_table_frame_graphics_and_highlight_Line_2,
	EApiId_Browser_table_frame_graphics_and_highlight_Limits,
	EApiId_Browser_table_frame_graphics_and_highlight,
	EApiId_Browser_image_frame_and_highlight_Line_1,
	EApiId_Browser_image_frame_and_highlight_Line_2,
	EApiId_Browser_image_frame_and_highlight_Line_3,
	EApiId_Browser_image_frame_and_highlight_SUB_TABLE_0_Limits,
	EApiId_Browser_image_frame_and_highlight_SUB_TABLE_0,
	EApiId_Browser_broken_image_Line_1,
	EApiId_Browser_broken_image_Line_2,
	EApiId_Browser_broken_image_Line_3,
	EApiId_Browser_broken_image_Limits,
	EApiId_Browser_broken_image,
	EApiId_Browser_broken_image_text_Line_1,
	EApiId_Calendar_Day_view_elements_and_descendants_Line_1,
	EApiId_Calendar_Day_view_elements_and_descendants_Line_2,
	EApiId_Calendar_Day_view_elements_and_descendants_Line_3,
	EApiId_list_cale_pane,
	EApiId_Calendar_Day_view_elements_and_descendants_Limits,
	EApiId_Calendar_Day_view_elements_and_descendants,
	EApiId_List_pane_texts__cale_time_empty__Line_1,
	EApiId_Multiline_List_pane_texts__cale_time_empty__Line_1,
	EApiId_Calendar_Week_view_elements_Line_1,
	EApiId_Calendar_Week_view_elements_Line_2,
	EApiId_Calendar_Week_view_elements_Line_3,
	EApiId_Calendar_Week_view_elements_Line_4,
	EApiId_Calendar_Week_view_elements_Line_5,
	EApiId_Calendar_Week_view_elements_Line_6,
	EApiId_Calendar_Week_view_elements_Line_7,
	EApiId_Calendar_Week_view_elements_Line_8,
	EApiId_grid_cale_week_pane,
	EApiId_Calendar_Week_view_elements_SUB_TABLE_0_Limits,
	EApiId_Calendar_Week_view_elements_SUB_TABLE_0,
	EApiId_Calendar_Week_view_texts_Line_1,
	EApiId_Calendar_Week_view_texts_Line_2,
	EApiId_Multiline_Calendar_Week_view_texts_Line_2,
	EApiId_Calendar_Month_view_elements_Line_1,
	EApiId_Calendar_Month_view_elements_Line_2,
	EApiId_Calendar_Month_view_elements_Line_3,
	EApiId_Calendar_Month_view_elements_Line_4,
	EApiId_Calendar_Month_view_elements_Line_5,
	EApiId_Calendar_Month_view_elements_Line_6,
	EApiId_Calendar_Month_view_elements_Line_7,
	EApiId_grid_cale_month_pane,
	EApiId_Calendar_Month_view_elements_SUB_TABLE_0_Limits,
	EApiId_Calendar_Month_view_elements_SUB_TABLE_0,
	EApiId_Calendar_Month_view_texts_Line_1,
	EApiId_Calendar_Month_view_texts_Line_2,
	EApiId_Multiline_Calendar_Month_view_texts_Line_2,
	EApiId_Calculator_elements_Line_1,
	EApiId_gqn_graf_calc_paper,
	EApiId_Calculator_elements_Line_3,
	EApiId_grid_calc_pane,
	EApiId_Calculator_elements_SUB_TABLE_0_Limits,
	EApiId_Calculator_elements_SUB_TABLE_0,
	EApiId_Calculator_texts_Line_1,
	EApiId_Calculator_texts_Line_2,
	EApiId_Calculator_texts_Line_3,
	EApiId_Calculator_texts_Line_4,
	EApiId_Calculator_texts_Line_5,
	EApiId_Calculator_texts_Line_6,
	EApiId_Calculator_texts_Line_7,
	EApiId_Multiline_Calculator_texts_Line_7,
	EApiId_Calculator_texts_Line_8,
	EApiId_Multiline_Calculator_texts_Line_8,
	EApiId_Calculator_texts_SUB_TABLE_0_Limits,
	EApiId_Calculator_texts_SUB_TABLE_0,
	EApiId_Calculator_texts_SUB_TABLE_1_Limits,
	EApiId_Calculator_texts_SUB_TABLE_1,
	EApiId_popup_clock__ref__window,
	EApiId_Real_Time_Alarm_Clock_view_descendants_panes_and_elements_Line_2,
	EApiId_Real_Time_Alarm_Clock_view_descendants_panes_and_elements_Line_3,
	EApiId_Real_Time_Alarm_Clock_view_descendants_panes_and_elements_Line_4,
	EApiId_Real_Time_Alarm_Clock_view_descendants_panes_and_elements_Line_5,
	EApiId_Real_Time_Alarm_Clock_view_descendants_panes_and_elements_Limits,
	EApiId_Real_Time_Alarm_Clock_view_descendants_panes_and_elements,
	EApiId_Real_Time_Alarm_Clock_view_texts__skins__Line_1,
	EApiId_Real_Time_Alarm_Clock_view_texts__skins__Line_2,
	EApiId_Multiline_Real_Time_Alarm_Clock_view_texts__skins__Line_2,
	EApiId_Real_Time_Alarm_Clock_view_texts__skins__Line_3,
	EApiId_Real_Time_Alarm_Clock_view_texts__skins__Line_4,
	EApiId_Multiline_Real_Time_Alarm_Clock_view_texts__skins__Line_4,
	EApiId_Real_Time_Alarm_Clock_view_texts__skins__Line_5,
	EApiId_Real_Time_Alarm_Clock_view_texts__skins__Line_6,
	EApiId_Real_Time_Alarm_Clock_view_texts__skins__SUB_TABLE_0_Limits,
	EApiId_Real_Time_Alarm_Clock_view_texts__skins__SUB_TABLE_0,
	EApiId_Clock_find_pane_elements_Line_1,
	EApiId_Clock_find_pane_elements_Line_2,
	EApiId_Clock_find_pane_elements_Line_3,
	EApiId_Clock_find_pane_elements_Line_4,
	EApiId_Clock_find_pane_elements_Line_5,
	EApiId_Clock_find_pane_elements_Limits,
	EApiId_Clock_find_pane_elements,
	EApiId_Find_pane_texts_Line_1,
	EApiId_Near_QCIF,
	EApiId_Camcorder_Still_Image_Viewfinder_descendants_and_elements_Line_2,
	EApiId_Camcorder_Still_Image_Viewfinder_descendants_and_elements_Line_3,
	EApiId_Camcorder_Still_Image_Viewfinder_descendants_and_elements_Line_4,
	EApiId_Camcorder_Still_Image_Viewfinder_descendants_and_elements_Line_5,
	EApiId_Camcorder_Still_Image_Viewfinder_descendants_and_elements_Limits,
	EApiId_Camcorder_Still_Image_Viewfinder_descendants_and_elements,
	EApiId_Camcorder_Zooming_factor_pane_elements_Line_1,
	EApiId_Camcorder_Zooming_factor_pane_elements_Line_2,
	EApiId_Camcorder_Zooming_factor_pane_elements_Limits,
	EApiId_Camcorder_Zooming_factor_pane_elements,
	EApiId_Camcorder_Still_Image_Viewfinder_texts_Line_1,
	EApiId_Camcorder_Still_Image_Viewfinder_texts_Line_2,
	EApiId_Camcorder_Still_Image_Viewfinder_texts_Limits,
	EApiId_Camcorder_Still_Image_Viewfinder_texts,
	EApiId_Camcorder_Video_Viewfinder_descendants_and_elements_Line_1,
	EApiId_Camcorder_Video_Viewfinder_descendants_and_elements_Line_2,
	EApiId_Camcorder_Video_Viewfinder_descendants_and_elements_Line_3,
	EApiId_Camcorder_Video_Viewfinder_descendants_and_elements_Line_4,
	EApiId_Camcorder_Video_Viewfinder_descendants_and_elements_Line_5,
	EApiId_Camcorder_Video_Viewfinder_descendants_and_elements_Line_6,
	EApiId_Camcorder_Video_Viewfinder_descendants_and_elements_SUB_TABLE_0_Limits,
	EApiId_Camcorder_Video_Viewfinder_descendants_and_elements_SUB_TABLE_0,
	EApiId_Camcorder_Video_Viewfinder_descendants_and_elements_SUB_TABLE_1_Limits,
	EApiId_Camcorder_Video_Viewfinder_descendants_and_elements_SUB_TABLE_1,
	EApiId_Camcorder_Video_Recording_descendants_and_elements_Line_1,
	EApiId_Camcorder_Video_Recording_descendants_and_elements_Line_2,
	EApiId_Camcorder_Video_Recording_descendants_and_elements_Line_3,
	EApiId_Camcorder_Video_Recording_descendants_and_elements_Line_4,
	EApiId_Camcorder_Video_Recording_descendants_and_elements_Line_5,
	EApiId_Camcorder_Video_Recording_descendants_and_elements_Line_6,
	EApiId_Camcorder_Video_Recording_descendants_and_elements_SUB_TABLE_0_Limits,
	EApiId_Camcorder_Video_Recording_descendants_and_elements_SUB_TABLE_0,
	EApiId_Camcorder_Video_Recording_descendants_and_elements_SUB_TABLE_1_Limits,
	EApiId_Camcorder_Video_Recording_descendants_and_elements_SUB_TABLE_1,
	EApiId_Camcorder_Duration_texts_Line_1,
	EApiId_QVGA,
	EApiId_Camcorder_Video_Post_recording_elements_Line_2,
	EApiId_Camcorder_Video_Post_recording_elements_Line_3,
	EApiId_Camcorder_Video_Post_recording_elements_Limits,
	EApiId_Camcorder_Video_Post_recording_elements,
	EApiId_Graphical_message_selection_layout_elements_Line_1,
	EApiId_Graphical_message_selection_layout_elements_Line_2,
	EApiId_grid_gms_pane,
	EApiId_Help_texts_Line_1,
	EApiId_Multiline_Help_texts_Line_1,
	EApiId_Phonebook_Photo_view_elements_Line_1,
	EApiId_Phonebook_Photo_view_elements_Line_2,
	EApiId_Phonebook_Photo_view_elements_Line_3,
	EApiId_Phonebook_Photo_view_elements_Line_4,
	EApiId_Phonebook_Photo_view_elements_Line_5,
	EApiId_Phonebook_Photo_view_elements_Line_6,
	EApiId_Phonebook_Photo_view_elements_Line_7,
	EApiId_Phonebook_Photo_view_elements_Line_8,
	EApiId_Phonebook_Photo_view_elements_Limits,
	EApiId_Phonebook_Photo_view_elements,
	EApiId_Presence_status_list_components_Line_1,
	EApiId_Presence_status_list_components_Line_2,
	EApiId_Presence_status_list_components_Line_3,
	EApiId_image_or_qgn_prop_dyc_big__ref_,
	EApiId_Presence_status_list_texts_Line_1,
	EApiId_Multiline_Presence_status_list_texts_Line_1,
	EApiId_Pinboard_elements__grid__Line_1,
	EApiId_Pinboard_elements__grid__Line_2,
	EApiId_Pinboard_elements__grid__Line_3,
	EApiId_Pinboard_elements__grid__Line_4,
	EApiId_Pinboard_elements__grid__Line_5,
	EApiId_Pinboard_elements__grid__Line_6,
	EApiId_Pinboard_elements__grid__Line_7,
	EApiId_find_pinb_pane,
	EApiId_Pinboard_elements__grid__SUB_TABLE_0_Limits,
	EApiId_Pinboard_elements__grid__SUB_TABLE_0,
	EApiId_Pinboard_elements__grid__SUB_TABLE_1_Limits,
	EApiId_Pinboard_elements__grid__SUB_TABLE_1,
	EApiId_Find_pane_elements__pinb__Line_1,
	EApiId_Find_pane_elements__pinb__Line_2,
	EApiId_Find_pane_elements__pinb__Line_3,
	EApiId_Find_pane_elements__pinb__Line_4,
	EApiId_Find_pane_elements__pinb__Limits,
	EApiId_Find_pane_elements__pinb_,
	EApiId_Find_pane_texts__pinb__Line_1,
	EApiId_Find_pane_texts__pinb__Line_2,
	EApiId_Find_pane_texts__pinb__Limits,
	EApiId_Find_pane_texts__pinb_,
	EApiId_Pinboard_elements__list__Line_1,
	EApiId_Pinboard_elements__list__Line_2,
	EApiId_Pinboard_elements__list__Line_3,
	EApiId_Pinboard_elements__list__Line_4,
	EApiId_Pinboard_elements__list__Line_5,
	EApiId_Pinboard_elements__list__Line_6,
	EApiId_list_pinb_pane,
	EApiId_Pinboard_elements__list__SUB_TABLE_0_Limits,
	EApiId_Pinboard_elements__list__SUB_TABLE_0,
	EApiId_Speed_Dial_descendants_Line_1,
	EApiId_grid_vorec_pane,
	EApiId_Voice_Recorder_elements_Line_2,
	EApiId_Voice_Recorder_elements_Line_3,
	EApiId_Voice_Recorder_elements_Line_4,
	EApiId_Voice_Recorder_elements_Line_5,
	EApiId_Voice_Recorder_elements_Limits,
	EApiId_Voice_Recorder_elements,
	EApiId_Voice_Recorder_texts_Line_1,
	EApiId_Voice_Recorder_texts_Line_2,
	EApiId_Voice_Recorder_texts_Line_3,
	EApiId_Voice_Recorder_texts_Line_4,
	EApiId_Voice_Recorder_texts_Line_5,
	EApiId_Voice_Recorder_texts_Line_6,
	EApiId_Voice_Recorder_texts_Limits,
	EApiId_Voice_Recorder_texts,
	EApiId_Message_writing_texts_Line_1,
	EApiId_Multiline_Message_writing_texts_Line_1,
	EApiId_Message_writing_texts_Line_2,
	EApiId_Multiline_Message_writing_texts_Line_2,
	EApiId_Message_writing_texts_Line_3,
	EApiId_Multiline_Message_writing_texts_Line_3,
	EApiId_Message_writing_texts_Limits,
	EApiId_Message_writing_texts,
	EApiId_Smart_Messages_Line_1,
	EApiId_Multiline_Smart_Messages_Line_1,
	EApiId_Smart_Messages_Line_2,
	EApiId_Multiline_Smart_Messages_Line_2,
	EApiId_Smart_Messages_Limits,
	EApiId_Smart_Messages,
	EApiId_Note_writing_layout_elements_Line_1,
	EApiId_Note_writing_layout_elements_Line_2,
	EApiId_Note_writing_layout_elements_Line_3,
	EApiId_Note_writing_layout_elements_Line_4,
	EApiId_Note_writing_layout_elements_Line_5,
	EApiId_Note_writing_layout_elements_SUB_TABLE_0_Limits,
	EApiId_Note_writing_layout_elements_SUB_TABLE_0,
	EApiId_Note_writing_texts_Line_1,
	EApiId_Multiline_Note_writing_texts_Line_1,
	EApiId_im_reading_pane,
	EApiId_im_writing_pane,
	EApiId_IM_navi_pane_texts_Line_1,
	EApiId_IM_reading_pane_texts_Line_1,
	EApiId_IM_reading_pane_texts_Line_2,
	EApiId_im_reading_field,
	EApiId_IM_text_elements_Line_1,
	EApiId_IM_text_elements_Line_2,
	EApiId_smiley__qgn_prop_im_smileys__ref__,
	EApiId_IM_text_elements_Limits,
	EApiId_IM_text_elements,
	EApiId_IM_reading_field_highlight_graphics_Line_1,
	EApiId_IM_reading_field_highlight_graphics_Line_2,
	EApiId_IM_reading_field_highlight_graphics_Limits,
	EApiId_IM_reading_field_highlight_graphics,
	EApiId_IM_writing_field_elements_Line_1,
	EApiId_IM_writing_field_elements_Line_2,
	EApiId_IM_writing_field_elements_Line_3,
	EApiId_IM_writing_pane_texts_Line_1,
	EApiId_Multiline_IM_writing_pane_texts_Line_1,
	EApiId_mp_bg_pane,
	EApiId_Empty_Player_view_elements_Line_1,
	EApiId_Media_Player_Playback_view_navi_pane_elements_Line_1,
	EApiId_Media_Player_Playback_view_navi_pane_elements_Line_2,
	EApiId_Media_Player_Playback_view_navi_pane_elements_Limits,
	EApiId_Media_Player_Playback_view_navi_pane_elements,
	EApiId_Media_Player_Playback_view_navi_pane_texts_Line_1,
	EApiId_Media_Player_Playlist_navi_pane_elements_Line_1,
	EApiId_Media_Player_Playlist_navi_pane_elements_Line_2,
	EApiId_Media_Player_Playlist_navi_pane_elements_Limits,
	EApiId_Media_Player_Playlist_navi_pane_elements,
	EApiId_grid_mp_pane,
	EApiId_Media_Player_Playback_view_elements_Line_2,
	EApiId_Media_Player_Playback_view_elements_Line_3,
	EApiId_Media_Player_Playback_view_elements_Line_4,
	EApiId_Media_Player_Playback_view_elements_Line_5,
	EApiId_Media_Player_Playback_view_elements_Line_6,
	EApiId_Media_Player_Playback_view_texts_Line_1,
	EApiId_Media_Player_Playback_view_texts_Line_2,
	EApiId_Media_Player_Playback_view_texts_Line_3,
	EApiId_Media_Player_Playback_view_texts_Line_4,
	EApiId_Media_Player_Playback_view_texts_Line_5,
	EApiId_Media_Player_Playback_view_texts_Line_6,
	EApiId_Media_Player_Playback_view_texts_Line_7,
	EApiId_Media_Player_Playback_view_texts_Limits,
	EApiId_Media_Player_Playback_view_texts,
	EApiId_SMIL_presentation_attachment_element_Line_1,
	EApiId_SMIL_presentation_attachment_highlight_Line_1,
	EApiId_SMIL_presentation_attachment_highlight_Line_2,
	EApiId_SMIL_presentation_attachment_highlight_Limits,
	EApiId_SMIL_presentation_attachment_highlight,
	EApiId_SMIL_presentation_elements_and_descendant_panes_Line_1,
	EApiId_smil_status_pane,
	EApiId_smil_text_pane,
	EApiId_SMIL_presentation_elements_and_descendant_panes_SUB_TABLE_0_Limits,
	EApiId_SMIL_presentation_elements_and_descendant_panes_SUB_TABLE_0,
	EApiId_smil_volume_pane,
	EApiId_SMIL_status_pane_elements_and_descendant_panes_Line_2,
	EApiId_SMIL_status_pane_elements_and_descendant_panes_Line_3,
	EApiId_SMIL_status_pane_elements_and_descendant_panes_Line_4,
	EApiId_SMIL_status_pane_elements_and_descendant_panes_Limits,
	EApiId_SMIL_status_pane_elements_and_descendant_panes,
	EApiId_SMIL_status_pane_texts_Line_1,
	EApiId_SMIL_volume_pane_elements_Line_1,
	EApiId_SMIL_volume_pane_elements_Line_2,
	EApiId_SMIL_volume_pane_elements_Limits,
	EApiId_SMIL_volume_pane_elements,
	EApiId_Location_request_type_texts_Line_1,
	EApiId_Multiline_Location_request_type_texts_Line_1,
	EApiId_Location_requestor_pane_elements_Line_1,
	EApiId_Location_reqestor_pane_texts_Line_1,
	EApiId_Location_request_popup_window_grapihcs_Line_1,
	EApiId_Location_request_popup_window_grapihcs_Line_2,
	EApiId_Location_request_popup_window_grapihcs_Line_3,
	EApiId_Location_request_popup_window_grapihcs_Line_4,
	EApiId_Location_request_popup_window_grapihcs_Line_5,
	EApiId_Location_request_popup_window_grapihcs_Limits,
	EApiId_Location_request_popup_window_grapihcs,
	EApiId_Volume_strength_area_values_Limits,
	EApiId_Volume_strength_area_values,
	EApiId_SMIL_text_pane_elements_Line_1,
	EApiId_smil_scroll_pane,
	EApiId_SMIL_text_pane_texts_Line_1,
	EApiId_Multiline_SMIL_text_pane_texts_Line_1,
	EApiId_SMIL_scroll_pane_elements_Line_1,
	EApiId_SMIL_scroll_pane_elements_Line_2,
	EApiId_SMIL_scroll_pane_elements_Line_3,
	EApiId_SMIL_scroll_pane_elements_SUB_TABLE_0_Limits,
	EApiId_SMIL_scroll_pane_elements_SUB_TABLE_0,
	EApiId_popup_pbook_thumbnail_window,
	EApiId_popup_call_status_window,
	EApiId_popup_call_video_up_window,
	EApiId_popup_cale_events_window,
	EApiId_list_single_graphic_popup_conf_pane,
	EApiId_List_pane_elements__conf_single_graphic__Line_1,
	EApiId_List_pane_elements__conf_single_graphic__Line_2,
	EApiId_List_pane_elements__conf_single_graphic__Limits,
	EApiId_List_pane_elements__conf_single_graphic_,
	EApiId_List_pane_texts__conf_single_graphic__Line_1,
	EApiId_List_pane_elements__menu_single_graphic_bt__Line_1,
	EApiId_List_pane_elements__menu_single_graphic_bt__Line_2,
	EApiId_List_pane_text__menu_single_graphic_bt__Line_1,
	EApiId_Highlight_graphics_Line_1,
	EApiId_Highlight_graphics_Line_2,
	EApiId_Highlight_graphics_Limits,
	EApiId_Highlight_graphics,
	EApiId_cell_large_graphic_popup_pane,
	EApiId_Cell_pane_elements__popup_large_graphic_gms__Line_1,
	EApiId_Cell_pane_elements__popup_large_graphic_gms__Line_2,
	EApiId_Cell_pane_elements__popup_large_graphic_gms__Limits,
	EApiId_Cell_pane_elements__popup_large_graphic_gms_,
	EApiId_Highlight_elements__grid_pop_up__Line_1,
	EApiId_Number_entry_pop_up_window_texts_Line_1,
	EApiId_Number_entry_pop_up_window_texts_Line_2,
	EApiId_Multiline_Number_entry_pop_up_window_texts_Line_2,
	EApiId_Number_entry_pop_up_window_graphics_Line_1,
	EApiId_Number_entry_pop_up_window_graphics_Line_2,
	EApiId_Number_entry_pop_up_window_graphics_Line_3,
	EApiId_Number_entry_pop_up_window_graphics_Line_4,
	EApiId_Number_entry_pop_up_window_graphics_Line_5,
	EApiId_Number_entry_pop_up_window_graphics_SUB_TABLE_0_Limits,
	EApiId_Number_entry_pop_up_window_graphics_SUB_TABLE_0,
	EApiId_popup_heading_pane,
	EApiId_Phonebook_memory_status_pop_up_window_descendants_and_elements_Line_2,
	EApiId_Phonebook_memory_status_pop_up_window_descendants_and_elements_Limits,
	EApiId_Phonebook_memory_status_pop_up_window_descendants_and_elements,
	EApiId_Phonebook_memory_status_pop_up_window_texts_Line_1,
	EApiId_Multiline_Phonebook_memory_status_pop_up_window_texts_Line_1,
	EApiId_Phonebook_memory_status_pop_up_window_texts_Line_2,
	EApiId_Multiline_Phonebook_memory_status_pop_up_window_texts_Line_2,
	EApiId_Phonebook_memory_status_pop_up_window_texts_Limits,
	EApiId_Phonebook_memory_status_pop_up_window_texts,
	EApiId_Phonebook_memory_status_pop_up_window_graphics_Line_1,
	EApiId_Phonebook_memory_status_pop_up_window_graphics_Line_2,
	EApiId_Phonebook_memory_status_pop_up_window_graphics_Line_3,
	EApiId_Phonebook_memory_status_pop_up_window_graphics_Line_4,
	EApiId_Phonebook_memory_status_pop_up_window_graphics_Line_5,
	EApiId_Phonebook_memory_status_pop_up_window_graphics_Limits,
	EApiId_Phonebook_memory_status_pop_up_window_graphics,
	EApiId_Graphical_message_image_selection_pop_up_window_descendants_Line_1,
	EApiId_grid_large_graphic_popup_pane,
	EApiId_Graphical_message_image_selection_pop_up_window_elements_Line_1,
	EApiId_Graphical_message_image_selection_pop_up_window_elements_Line_2,
	EApiId_Graphical_message_image_selection_pop_up_window_graphics_Line_1,
	EApiId_Graphical_message_image_selection_pop_up_window_graphics_Line_2,
	EApiId_Graphical_message_image_selection_pop_up_window_graphics_Line_3,
	EApiId_Graphical_message_image_selection_pop_up_window_graphics_Line_4,
	EApiId_Graphical_message_image_selection_pop_up_window_graphics_Line_5,
	EApiId_Graphical_message_image_selection_pop_up_window_graphics_Limits,
	EApiId_Graphical_message_image_selection_pop_up_window_graphics,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_elements_Line_1,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_elements_Line_2,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_elements_Line_3,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_elements_Line_4,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_elements_Line_5,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_elements_Line_6,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_elements_SUB_TABLE_0_Limits,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_elements_SUB_TABLE_0,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_texts_Line_1,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_texts_Line_2,
	EApiId_Multiline_Browser_WIM_PIN_Code_query_pop_up_window_texts_Line_2,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_texts_Line_3,
	EApiId_Multiline_Browser_WIM_PIN_Code_query_pop_up_window_texts_Line_3,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_texts_SUB_TABLE_0_Limits,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_texts_SUB_TABLE_0,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_graphics_Line_1,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_graphics_Line_2,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_graphics_Line_3,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_graphics_Line_4,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_graphics_Line_5,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_graphics_Limits,
	EApiId_Browser_WIM_PIN_Code_query_pop_up_window_graphics,
	EApiId_Browser_Digital_Signing_query_pop_up_window_elements_Line_1,
	EApiId_Browser_Digital_Signing_query_pop_up_window_elements_Line_2,
	EApiId_Browser_Digital_Signing_query_pop_up_window_elements_Limits,
	EApiId_Browser_Digital_Signing_query_pop_up_window_elements,
	EApiId_Browser_Digital_Signing_query_pop_up_window_texts_Line_1,
	EApiId_Browser_Digital_Signing_query_pop_up_window_texts_Line_2,
	EApiId_Multiline_Browser_Digital_Signing_query_pop_up_window_texts_Line_2,
	EApiId_SAT_Information_query_pop_up_window_elements_Line_1,
	EApiId_SAT_Information_query_pop_up_window_elements_Line_2,
	EApiId_SAT_Information_query_pop_up_window_elements_Limits,
	EApiId_SAT_Information_query_pop_up_window_elements,
	EApiId_SAT_Information_query_pop_up_window_texts_Line_1,
	EApiId_Multiline_SAT_Information_query_pop_up_window_texts_Line_1,
	EApiId_Analogue_clock_pop_up_window_elements_Line_1,
	EApiId_Analogue_clock_pop_up_window_elements_Line_2,
	EApiId_Analogue_clock_pop_up_window_elements_Line_3,
	EApiId_Analogue_clock_pop_up_window_elements_Line_4,
	EApiId_Analogue_clock_pop_up_window_elements_Line_5,
	EApiId_Analogue_clock_pop_up_window_elements_SUB_TABLE_0_Limits,
	EApiId_Analogue_clock_pop_up_window_elements_SUB_TABLE_0,
	EApiId_Analogue_clock_pop_up_window_elements_SUB_TABLE_1_Limits,
	EApiId_Analogue_clock_pop_up_window_elements_SUB_TABLE_1,
	EApiId_Analogue_clock_pop_up_window_texts_Line_1,
	EApiId_Digital_clock_pop_up_window_elements_Line_1,
	EApiId_Digital_clock_pop_up_window_elements_Line_2,
	EApiId_Digital_clock_pop_up_window_elements_Line_3,
	EApiId_Digital_clock_pop_up_window_elements_Limits,
	EApiId_Digital_clock_pop_up_window_elements,
	EApiId_Digital_clock_pop_up_window_texts_Line_1,
	EApiId_Digital_clock_pop_up_window_texts_Line_2,
	EApiId_Digital_clock_pop_up_window_texts_Limits,
	EApiId_Digital_clock_pop_up_window_texts,
	EApiId_Thumbnail_pop_up_window_elements_Line_1,
	EApiId_Thumbnail_pop_up_window_elements_Line_2,
	EApiId_Thumbnail_pop_up_window_elements_Line_3,
	EApiId_Thumbnail_pop_up_window_elements_Line_4,
	EApiId_Thumbnail_pop_up_window_elements_Line_5,
	EApiId_Thumbnail_pop_up_window_elements_Line_6,
	EApiId_Thumbnail_pop_up_window_elements_Line_7,
	EApiId_Thumbnail_pop_up_window_elements_Line_8,
	EApiId_Thumbnail_pop_up_window_elements_Line_9,
	EApiId_Thumbnail_pop_up_window_elements_Line_10,
	EApiId_Thumbnail_pop_up_window_elements_Line_11,
	EApiId_Thumbnail_pop_up_window_elements_Line_12,
	EApiId_Thumbnail_pop_up_window_elements_Line_13,
	EApiId_Thumbnail_pop_up_window_elements_Line_14,
	EApiId_Thumbnail_pop_up_window_elements_Line_15,
	EApiId_Thumbnail_pop_up_window_elements_Line_16,
	EApiId_Thumbnail_pop_up_window_elements_Line_17,
	EApiId_Thumbnail_pop_up_window_elements_Line_18,
	EApiId_Thumbnail_pop_up_window_elements_Limits,
	EApiId_Thumbnail_pop_up_window_elements,
	EApiId_Call_status_pop_up_window_elements_Line_1,
	EApiId_Call_status_pop_up_window_elements_Line_2,
	EApiId_Call_status_pop_up_window_elements_Line_3,
	EApiId_Call_status_pop_up_window_elements_Line_4,
	EApiId_Call_status_pop_up_window_elements_Limits,
	EApiId_Call_status_pop_up_window_elements,
	EApiId_Incoming_call_pop_up_window_elements_Line_1,
	EApiId_Incoming_call_pop_up_window_elements_Line_2,
	EApiId_Incoming_call_pop_up_window_elements_Line_3,
	EApiId_Incoming_call_pop_up_window_elements_Line_4,
	EApiId_Incoming_call_pop_up_window_elements_Line_5,
	EApiId_Incoming_call_pop_up_window_elements_Line_6,
	EApiId_Incoming_call_pop_up_window_elements_Line_7,
	EApiId_Incoming_call_pop_up_window_elements_Line_8,
	EApiId_Incoming_call_pop_up_window_elements_Line_9,
	EApiId_Incoming_call_pop_up_window_elements_Line_10,
	EApiId_Incoming_call_pop_up_window_elements_Line_11,
	EApiId_Incoming_call_pop_up_window_elements_Line_12,
	EApiId_Incoming_call_pop_up_window_elements_Line_13,
	EApiId_Incoming_call_pop_up_window_elements_Line_14,
	EApiId_Incoming_call_pop_up_window_elements_Line_15,
	EApiId_Incoming_call_pop_up_window_elements_SUB_TABLE_0_Limits,
	EApiId_Incoming_call_pop_up_window_elements_SUB_TABLE_0,
	EApiId_Incoming_call_pop_up_window_texts_Line_1,
	EApiId_Multiline_Incoming_call_pop_up_window_texts_Line_1,
	EApiId_Incoming_call_pop_up_window_texts_Line_2,
	EApiId_Multiline_Incoming_call_pop_up_window_texts_Line_2,
	EApiId_Incoming_call_pop_up_window_texts_Limits,
	EApiId_Incoming_call_pop_up_window_texts,
	EApiId_Incoming_call_pop_up_window_graphics_Line_1,
	EApiId_Incoming_call_pop_up_window_graphics_Line_2,
	EApiId_Incoming_call_pop_up_window_graphics_Line_3,
	EApiId_Incoming_call_pop_up_window_graphics_Line_4,
	EApiId_Incoming_call_pop_up_window_graphics_Line_5,
	EApiId_Incoming_call_pop_up_window_graphics_Limits,
	EApiId_Incoming_call_pop_up_window_graphics,
	EApiId_Incoming_call_pop_up_window_elements__NE__Line_1,
	EApiId_Incoming_call_pop_up_window_elements__NE__Line_2,
	EApiId_Incoming_call_pop_up_window_elements__NE__Line_3,
	EApiId_Incoming_call_pop_up_window_elements__NE__Line_4,
	EApiId_Incoming_call_pop_up_window_elements__NE__Line_5,
	EApiId_Incoming_call_pop_up_window_elements__NE__Line_6,
	EApiId_Incoming_call_pop_up_window_elements__NE__Line_7,
	EApiId_Incoming_call_pop_up_window_elements__NE__Line_8,
	EApiId_Incoming_call_pop_up_window_elements__NE__Line_9,
	EApiId_Incoming_call_pop_up_window_elements__NE__Line_10,
	EApiId_Incoming_call_pop_up_window_elements__NE__Line_11,
	EApiId_Incoming_call_pop_up_window_elements__NE__Line_12,
	EApiId_Incoming_call_pop_up_window_elements__NE__Line_13,
	EApiId_Incoming_call_pop_up_window_elements__NE__Line_14,
	EApiId_Incoming_call_pop_up_window_elements__NE__Line_15,
	EApiId_Incoming_call_pop_up_window_elements__NE__Limits,
	EApiId_Incoming_call_pop_up_window_elements__NE_,
	EApiId_Incoming_call_pop_up_window_texts__NE__Line_1,
	EApiId_Multiline_Incoming_call_pop_up_window_texts__NE__Line_1,
	EApiId_Incoming_call_pop_up_window_texts__NE__Line_2,
	EApiId_Multiline_Incoming_call_pop_up_window_texts__NE__Line_2,
	EApiId_Incoming_call_pop_up_window_texts__NE__Limits,
	EApiId_Incoming_call_pop_up_window_texts__NE_,
	EApiId_Incoming_call_pop_up_window_graphics__NE__Line_1,
	EApiId_Incoming_call_pop_up_window_graphics__NE__Line_2,
	EApiId_Incoming_call_pop_up_window_graphics__NE__Line_3,
	EApiId_Incoming_call_pop_up_window_graphics__NE__Line_4,
	EApiId_Incoming_call_pop_up_window_graphics__NE__Line_5,
	EApiId_Incoming_call_pop_up_window_graphics__NE__Limits,
	EApiId_Incoming_call_pop_up_window_graphics__NE_,
	EApiId_Outgoing_call_pop_up_window_elements__held__Line_1,
	EApiId_Outgoing_call_pop_up_window_elements__held__Line_2,
	EApiId_Outgoing_call_pop_up_window_elements__held__Line_3,
	EApiId_Outgoing_call_pop_up_window_elements__held__Line_4,
	EApiId_Outgoing_call_pop_up_window_elements__held__Line_5,
	EApiId_Outgoing_call_pop_up_window_elements__held__Line_6,
	EApiId_Outgoing_call_pop_up_window_elements__held__Line_7,
	EApiId_Outgoing_call_pop_up_window_elements__held__Line_8,
	EApiId_Outgoing_call_pop_up_window_elements__held__Line_9,
	EApiId_Outgoing_call_pop_up_window_elements__held__Line_10,
	EApiId_Outgoing_call_pop_up_window_elements__held__Line_11,
	EApiId_Outgoing_call_pop_up_window_elements__held__Line_12,
	EApiId_Outgoing_call_pop_up_window_elements__held__Line_13,
	EApiId_Outgoing_call_pop_up_window_elements__held__Line_14,
	EApiId_Outgoing_call_pop_up_window_elements__held__Line_15,
	EApiId_Outgoing_call_pop_up_window_elements__held__Limits,
	EApiId_Outgoing_call_pop_up_window_elements__held_,
	EApiId_Outgoing_call_pop_up_window_texts__held__Line_1,
	EApiId_Multiline_Outgoing_call_pop_up_window_texts__held__Line_1,
	EApiId_Outgoing_call_pop_up_window_graphics__held__Line_1,
	EApiId_Outgoing_call_pop_up_window_elements__held_NE__Line_1,
	EApiId_Outgoing_call_pop_up_window_elements__held_NE__Line_2,
	EApiId_Outgoing_call_pop_up_window_elements__held_NE__Line_3,
	EApiId_Outgoing_call_pop_up_window_elements__held_NE__Limits,
	EApiId_Outgoing_call_pop_up_window_elements__held_NE_,
	EApiId_Outgoing_call_pop_up_window_texts__held_NE__Line_1,
	EApiId_Outgoing_call_pop_up_window_graphics__held_NE__Line_1,
	EApiId_First_call_pop_up_window_elements__one_call__Line_1,
	EApiId_First_call_pop_up_window_elements__one_call__Line_2,
	EApiId_First_call_pop_up_window_elements__one_call__Line_3,
	EApiId_First_call_pop_up_window_elements__one_call__Limits,
	EApiId_First_call_pop_up_window_elements__one_call_,
	EApiId_First_call_pop_up_window_texts__one_call__Line_1,
	EApiId_Multiline_First_call_pop_up_window_texts__one_call__Line_1,
	EApiId_First_call_pop_up_window_texts__one_call__Line_2,
	EApiId_First_call_pop_up_window_graphics__one_call__Line_1,
	EApiId_First_call_pop_up_window_elements__two_calls__Line_1,
	EApiId_First_call_pop_up_window_elements__two_calls__Line_2,
	EApiId_First_call_pop_up_window_elements__two_calls__Line_3,
	EApiId_First_call_pop_up_window_elements__two_calls__Line_4,
	EApiId_First_call_pop_up_window_elements__two_calls__Line_5,
	EApiId_First_call_pop_up_window_elements__two_calls__Line_6,
	EApiId_First_call_pop_up_window_elements__two_calls__Line_7,
	EApiId_First_call_pop_up_window_elements__two_calls__Line_8,
	EApiId_First_call_pop_up_window_elements__two_calls__Line_9,
	EApiId_First_call_pop_up_window_elements__two_calls__Line_10,
	EApiId_First_call_pop_up_window_elements__two_calls__Line_11,
	EApiId_First_call_pop_up_window_elements__two_calls__Line_12,
	EApiId_First_call_pop_up_window_elements__two_calls__Line_13,
	EApiId_First_call_pop_up_window_elements__two_calls__Line_14,
	EApiId_First_call_pop_up_window_elements__two_calls__Line_15,
	EApiId_First_call_pop_up_window_elements__two_calls__Limits,
	EApiId_First_call_pop_up_window_elements__two_calls_,
	EApiId_First_call_pop_up_window_texts__two_calls__Line_1,
	EApiId_Multiline_First_call_pop_up_window_texts__two_calls__Line_1,
	EApiId_First_call_pop_up_window_texts__two_calls__Line_2,
	EApiId_First_call_pop_up_window_graphics__two_calls__Line_1,
	EApiId_First_call_pop_up_window_elements__two_calls_a_waiting_call__Line_1,
	EApiId_First_call_pop_up_window_elements__two_calls_a_waiting_call__Line_2,
	EApiId_First_call_pop_up_window_elements__two_calls_a_waiting_call__Line_3,
	EApiId_First_call_pop_up_window_elements__two_calls_a_waiting_call__Limits,
	EApiId_First_call_pop_up_window_elements__two_calls_a_waiting_call_,
	EApiId_First_call_pop_up_window_texts__two_calls_a_waiting_call__Line_1,
	EApiId_First_call_pop_up_window_graphics__two_calls_a_waiting_call__Line_1,
	EApiId_First_call_pop_up_window_graphics__two_wait_NE__Line_1,
	EApiId_Waiting_call_pop_up_window_elements__held_out_NE__Line_1,
	EApiId_Waiting_call_pop_up_window_elements__held_out_NE__Line_2,
	EApiId_Waiting_call_pop_up_window_elements__held_out_NE__Line_3,
	EApiId_Waiting_call_pop_up_window_elements__held_out_NE__Limits,
	EApiId_Waiting_call_pop_up_window_elements__held_out_NE_,
	EApiId_Waiting_call_pop_up_window_texts__held_out_NE__Line_1,
	EApiId_Waiting_call_pop_up_window_graphics__held_out_NE__Line_1,
	EApiId_Waiting_call_pop_up_window_graphics__out__Line_1,
	EApiId_Second_call_pop_up_window_elements__two__Line_1,
	EApiId_Second_call_pop_up_window_elements__two__Line_2,
	EApiId_Second_call_pop_up_window_elements__two__Line_3,
	EApiId_Second_call_pop_up_window_elements__two__Limits,
	EApiId_Second_call_pop_up_window_elements__two_,
	EApiId_Second_call_pop_up_window_texts__two_calls__Line_1,
	EApiId_Multiline_Second_call_pop_up_window_texts__two_calls__Line_1,
	EApiId_Second_call_pop_up_window_texts__two_calls__Line_2,
	EApiId_Second_call_pop_up_window_graphics__two_calls__Line_1,
	EApiId_Second_call_pop_up_window_elements__two_calls_waiting_call__Line_1,
	EApiId_Second_call_pop_up_window_elements__two_calls_waiting_call__Line_2,
	EApiId_Second_call_pop_up_window_elements__two_calls_waiting_call__Line_3,
	EApiId_Second_call_pop_up_window_elements__two_calls_waiting_call__Limits,
	EApiId_Second_call_pop_up_window_elements__two_calls_waiting_call_,
	EApiId_Second_call_pop_up_window_texts__two_calls_waiting_call__Line_1,
	EApiId_Second_call_pop_up_window_graphics__two_calls_waiting_call__Line_1,
	EApiId_Conference_call_pop_up_window_descendants_and_elements_Line_1,
	EApiId_list_conf_pane,
	EApiId_Conference_call_pop_up_window_texts_Line_1,
	EApiId_Multiline_Conference_call_pop_up_window_texts_Line_1,
	EApiId_Muted_state_elements_Line_1,
	EApiId_Calendar_events_list_popup_components_Line_1,
	EApiId_Calendar_events_list_popup_texts_Line_1,
	EApiId_Multiline_Calendar_events_list_popup_texts_Line_1,
	EApiId_Calendar_events_list_popup_graphics_Line_1,
	EApiId_Calendar_events_list_popup_graphics_Line_2,
	EApiId_Calendar_events_list_popup_graphics_Line_3,
	EApiId_Calendar_events_list_popup_graphics_Line_4,
	EApiId_Calendar_events_list_popup_graphics_Limits,
	EApiId_Calendar_events_list_popup_graphics,
	EApiId_cell_cams_pane,
	EApiId_image_or_qgn_prop_dyc__ref_,
	EApiId_loc_type_pane,
	EApiId_loc_req_pane,
	EApiId_Additional_heading_pane_elements_Line_1,
	EApiId_Additional_heading_pane_elements_Line_2,
	EApiId_Additional_heading_pane_elements_Line_3,
	EApiId_Presence_status_popup_window_texts_Line_1,
	EApiId_Presence_status_popup_window_texts_Line_2,
	EApiId_Multiline_Presence_status_popup_window_texts_Line_2,
	EApiId_Presence_status_window_graphics_Line_1,
	EApiId_Presence_status_window_graphics_Line_2,
	EApiId_Presence_status_window_graphics_Line_3,
	EApiId_Presence_status_window_graphics_Line_4,
	EApiId_Presence_status_window_graphics_Line_5,
	EApiId_Presence_status_window_graphics_Limits,
	EApiId_Presence_status_window_graphics,
	EApiId_popup_number_entry_window,
	EApiId_popup_pb_memory_status_window,
	EApiId_popup_grid_large_graphic_window,
	EApiId_popup_call_audio_in_window,
	EApiId_popup_call_audio_out_window,
	EApiId_popup_call_audio_first_window,
	EApiId_popup_call_audio_wait_window,
	EApiId_popup_call_audio_second_window,
	EApiId_popup_call_audio_conf_window,
	EApiId_popup_call_video_in_window,
	EApiId_popup_call_video_first_window,
	EApiId_popup_call_video_down_window,
	EApiId_popup_query_wml_wim_window,
	EApiId_popup_query_wml_sign_window,
	EApiId_popup_query_sat_info_window,
	EApiId_popup_grid_large_compo_graphic_window,
	EApiId_popup_dyc_status_message_window,
	EApiId_VGA,
	EApiId_VGA_turned_90,
	EApiId_CIF,
	EApiId_CIF_turned_90,
	EApiId_Communicator_personal_image,
	EApiId_Image_aspect_ratio___0_625,
	EApiId_Image_aspect_ratio___1_467,
	EApiId__0_625___image_aspect_ratio___1_467,
	EApiId_Thumbnail_image_sizes_Limits,
	EApiId_Thumbnail_image_sizes,
	EApiId_Message_writing_layout_elements_Line_1,
	EApiId_Message_writing_layout_elements_Line_2,
	EApiId_Message_writing_layout_elements_Line_3,
	EApiId_Message_writing_layout_elements_Line_4,
	EApiId_Message_writing_layout_elements_Line_5,
	EApiId_Message_writing_layout_elements_Line_6,
	EApiId_Message_writing_layout_elements_Line_7,
	EApiId_Message_writing_layout_elements_Line_8,
	EApiId_CamcorderBurst_Mode_Post_Recording_cell_elements_Line_1,
	EApiId_CamcorderBurst_Mode_Post_Recording_cell_elements_Line_2,
	EApiId_CamcorderBurst_Mode_Post_Recording_cell_elements_Limits,
	EApiId_CamcorderBurst_Mode_Post_Recording_cell_elements,
	EApiId_Camcorder_Still_Image_Viewfinder_descendants_and_elements_Line_6,
	EApiId_Camcorder_Still_Image_Viewfinder_descendants_and_elements_Line_7,
	EApiId_near_QCIF,
	EApiId_Media_Player_navi_pane_texts_Line_1,
	EApiId_Volume_strength_area_values_Line_1,
	EApiId_Volume_strength_area_values_Line_2,
	EApiId_Volume_strength_area_values_Line_3,
	EApiId_Volume_strength_area_values_Line_4,
	EApiId_Volume_strength_area_values_Line_5,
	EApiId_Volume_strength_area_values_Line_6,
	EApiId_Volume_strength_area_values_Line_7,
	EApiId_Volume_strength_area_values_Line_8,
	EApiId_blid_compass_pane,
	EApiId_BLID_compass_view_elements_Line_2,
	EApiId_BLID_compass_view_elements_Line_3,
	EApiId_BLID_compass_view_elements_Limits,
	EApiId_BLID_compass_view_elements,
	EApiId_Accuracyvalues_Line_1,
	EApiId_Accuracyvalues_Line_2,
	EApiId_Accuracyvalues_Line_3,
	EApiId_Accuracyvalues_Line_4,
	EApiId_Accuracyvalues_Line_5,
	EApiId_Accuracyvalues_Line_6,
	EApiId_Accuracyvalues_Line_7,
	EApiId_Accuracyvalues_Line_8,
	EApiId_Accuracyvalues_Limits,
	EApiId_Accuracyvalues,
	EApiId_BLIDcompass_view_texts_Line_1,
	EApiId_BLIDcompass_view_texts_Line_2,
	EApiId_BLIDcompass_view_texts_Line_3,
	EApiId_BLIDcompass_view_texts_Limits,
	EApiId_BLIDcompass_view_texts,
	EApiId_Compasspane_elements_Line_1,
	EApiId_Arrow_head__graphic,
	EApiId_Arrow_body__graphic,
	EApiId_Compasspane_elements_Limits,
	EApiId_Compasspane_elements,
	EApiId_blid_direction_pane,
	EApiId_BLIDdirection_elements_Line_1,
	EApiId_Outgoingincoming_video_call_elements_Line_1,
	EApiId_Outgoingincoming_video_call_elements_Line_2,
	EApiId_Outgoingincoming_video_call_elements_Limits,
	EApiId_Outgoingincoming_video_call_elements,
	EApiId_Uplink_video_image__large__Line_1,
	EApiId_Uplink_video_image__large__Line_2,
	EApiId_Uplink_video_image__large__Line_3,
	EApiId_Uplink_video_image__large__Limits,
	EApiId_Uplink_video_image__large_,
	EApiId_Downlink_video_image_Line_1,
	EApiId_downlink_stream,
	EApiId_Downlink_video_image_Line_3,
	EApiId_Downlink_video_image_Limits,
	EApiId_Downlink_video_image,
	EApiId_title_pane,
	EApiId_uni_indicator_pane,
	EApiId_Status_pane_changes_Limits,
	EApiId_Status_pane_changes,
	EApiId_Title_pane_texts_Line_2,
	EApiId_Multiline_Title_pane_texts_Line_2,
	EApiId_Navipane_elements_and_descendant_panes_Line_1,
	EApiId_zooming_pane,
	EApiId_Navipane_elements_and_descendant_panes_Limits,
	EApiId_Navipane_elements_and_descendant_panes,
	EApiId_Zooming_pane_elements_Line_1,
	EApiId_Zooming_pane_elements_Line_2,
	EApiId_Zooming_pane_elements_Line_3,
	EApiId_Zooming_pane_elements_Line_4,
	EApiId_Zooming_pane_elements_Limits,
	EApiId_Zooming_pane_elements,
	EApiId_Navipanetexts_Line_1,
	EApiId_Navipanetexts_Line_2,
	EApiId_Navipanetexts_Limits,
	EApiId_Navipanetexts,
	EApiId_Videocall_indicator__NEwaiting_call__Line_1,
	EApiId_Videocall_indicator__NEwaiting_call__Line_2,
	EApiId_Videocall_indicator__NEwaiting_call__Limits,
	EApiId_Videocall_indicator__NEwaiting_call_,
	EApiId_Callstatus_pop_up_window_elements_Line_1,
	EApiId_Callstatus_pop_up_window_elements_Line_2,
	EApiId_Callstatus_pop_up_window_elements_Limits,
	EApiId_Callstatus_pop_up_window_elements,
	EApiId_Rectangle,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_2,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_3,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_4,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_5,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_6,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_7,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_8,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_9,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_10,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_11,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_12,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_13,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_14,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_15,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_16,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_17,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Line_18,
	EApiId_Colorpalette_preview_screen_element_placing__main_area__Limits,
	EApiId_Colorpalette_preview_screen_element_placing__main_area_,
	EApiId_Colorpalette_preview_screen_text_placing__main_area__Line_1,
	EApiId_Colorpalette_preview_screen_text_placing__main_area__Line_2,
	EApiId_Colorpalette_preview_screen_text_placing__main_area__Limits,
	EApiId_Colorpalette_preview_screen_text_placing__main_area_,
	EApiId_audioskin_pane,
	EApiId_Audio_Playbackview_texts_Line_1,
	EApiId_Audio_Playbackview_texts_Line_2,
	EApiId_Audio_Playbackview_texts_Line_3,
	EApiId_Audio_Playbackview_texts_Line_4,
	EApiId_Audio_Playbackview_texts_Limits,
	EApiId_Audio_Playbackview_texts,
	EApiId_Audioskin_pane_elements_Line_1,
	EApiId_popup_loc_request_window,
	EApiId_list_single_graphic_popup_wml_pane,
	EApiId_Pop_up_window_list_pane_descendants_call_conf__Limits,
	EApiId_Pop_up_window_list_pane_descendants_call_conf_,
	EApiId_list_wml_pane,
	EApiId_Browser_address_field_pop_up_window_graphics_Line_1,
	EApiId_Browser_address_field_pop_up_window_graphics_Line_2,
	EApiId_Browser_address_field_pop_up_window_graphics_Line_3,
	EApiId_Browser_address_field_pop_up_window_graphics_Line_4,
	EApiId_Browser_address_field_pop_up_window_graphics_Limits,
	EApiId_Browser_address_field_pop_up_window_graphics,
	EApiId_First_call_pop_up_window_texts__one_call__Line_3,
	EApiId_First_call_pop_up_window_graphics__one_call__Line_2,
	EApiId_First_call_pop_up_window_graphics__one_call__Limits,
	EApiId_First_call_pop_up_window_graphics__one_call_,
	EApiId_First_call_pop_up_window_texts__two_calls__Line_3,
	EApiId_First_call_pop_up_window_graphics__two_calls__Line_2,
	EApiId_First_call_pop_up_window_graphics__two_calls__Limits,
	EApiId_First_call_pop_up_window_graphics__two_calls_,
	EApiId_Call_type_pane_split_Line_1,
	EApiId_Call_type_pane_split_Line_2,
	EApiId_popup_wml_address_window,
	EApiId_List_pane_elements__browser_single_graphic__Line_1,
	EApiId_List_pane_elements__browser_single_graphic__Line_2,
	EApiId_List_pane_texts__browser_single_graphic__Line_1,
	EApiId_Camcorder_Still_Image_Viewfinder_descendants_and_elements_Line_8,
	EApiId_Camcorder_Still_Image_Viewfinder_descendants_and_elements_Line_9,
	EApiId_Camcorder_Video_Viewfinder_descendants_and_elements_Line_7,
	EApiId_Camcorder_Video_Viewfinder_descendants_and_elements_Line_8,
	EApiId_Camcorder_Video_Recording_descendants_and_elements_Line_7,
	EApiId_Camcorder_Video_Recording_descendants_and_elements_Line_8,
	EApiId_Camcorder_Video_Recording_descendants_and_elements_Line_9,
	EApiId_Camcorder_viewfinder_texts_Line_1,
	EApiId_Camcorder_Still_Image_Burst_Mode_Post_recording_elements_Line_1,
	EApiId_Camcorder_Still_Image_Burst_Mode_Post_recording_elements_Line_2,
	EApiId_grid_cams_pane,
	EApiId_Camcorder_Burst_Mode_texts_Line_1,
	EApiId_Camcorder_Brightness_Contrast_descendants_and_elements_Line_1,
	EApiId_navi_slider_pane,
	EApiId_Camcorder_Brightness_Contrast_descendants_and_elements_Limits,
	EApiId_Camcorder_Brightness_Contrast_descendants_and_elements,
	EApiId_Navi_Slider_pane_elements_Line_1,
	EApiId_Navi_Slider_pane_elements_Line_2,
	EApiId_Navi_Slider_pane_elements_Limits,
	EApiId_Navi_Slider_pane_elements,
	EApiId_Camcorder_Manual_Exposure_descendants_and_elements_Line_1,
	EApiId_Zooming_steps_sizes_Line_1,
	EApiId_Zooming_steps_sizes_Line_2,
	EApiId_Zooming_steps_sizes_Line_3,
	EApiId_Zooming_steps_sizes_Line_4,
	EApiId_Zooming_steps_sizes_Line_5,
	EApiId_Zooming_steps_sizes_Line_6,
	EApiId_Zooming_steps_sizes_Line_7,
	EApiId_Zooming_steps_sizes_Line_8,
	EApiId_Zooming_steps_sizes_Line_9,
	EApiId_Zooming_steps_sizes_Line_10,
	EApiId_Zooming_steps_sizes_Line_11,
	EApiId_Uplink_video_image__small__Line_1,
	EApiId_Uplink_video_image__small__Line_2,
	EApiId_Uplink_video_image__small__Line_3,
	EApiId_Uplink_video_image__small__Limits,
	EApiId_Uplink_video_image__small_,
	EApiId_Downlink_video_image_Line_4,
	EApiId_downlink_stream_area,
	EApiId_MIDP_text_elements_Line_1,
	EApiId_MIDP_text_elements_Line_2,
	EApiId_MIDP_texts_Line_1,
	EApiId_Multiline_MIDP_texts_Line_1,
	EApiId_Camcorder_Zooming_factor_pane_elements_v2_Line_1,
	EApiId_Camcorder_Zooming_factor_pane_elements_v2_Line_2,
	EApiId_Camcorder_Zooming_factor_pane_elements_v2_Line_3,
	EApiId_Camcorder_Zooming_factor_pane_elements_v2_Line_4,
	EApiId_Camcorder_Zooming_factor_pane_elements_v2_Limits,
	EApiId_Camcorder_Zooming_factor_pane_elements_v2,
	EApiId_cell_radio_pane,
	EApiId_FM_Radio_cell_elements_Line_1,
	EApiId_grid_radio_pane,
	EApiId_FM_Radio_elements_Line_2,
	EApiId_FM_Radio_elements_Line_3,
	EApiId_FM_Radio_elements_Line_4,
	EApiId_FM_Radio_elements_Line_5,
	EApiId_FM_Radio_elements_Limits,
	EApiId_FM_Radio_elements,
	EApiId_FM_Radio_texts_Line_1,
	EApiId_FM_Radio_texts_Line_2,
	EApiId_FM_Radio_texts_Line_3,
	EApiId_FM_Radio_texts_Line_4,
	EApiId_FM_Radio_texts_Line_5,
	EApiId_FM_Radio_texts_Limits,
	EApiId_FM_Radio_texts,
	EApiId_aid_cams_cif_uncrop_pane,
	EApiId_video_down_subqcif_pane,
	E_TApiId_TableSize
	};

// This is the CDL interface definition for this interface
const SCdlInterface KCdlInterface =
	{
	KCdlCompilerMajorVersion,
	KCdlCompilerMinorVersion,
	LIT_AS_DESC_PTR(KCdlName),
	{ KCdlInterfaceUidValue },
	KCdlInterfaceMajorVersion,
	KCdlInterfaceMinorVersion,
	KCdlInterfaceFlags,
	E_TApiId_TableSize
	};

// These typedefs define the types for function APIs
typedef TAknWindowLineLayout (TBrowser_image_highlight_Line_1_sig)();
typedef TAknWindowLineLayout (TBrowser_image_highlight_Line_2_sig)();
typedef TAknWindowLineLayout (TBrowser_image_highlight_Line_3_sig)();
typedef TAknWindowLineLayout (TBrowser_image_highlight_Line_4_sig)();
typedef TAknWindowLineLayout (TBrowser_image_highlight_Line_5_sig)();
typedef TAknWindowLineLayout (TBrowser_image_highlight_Line_6_sig)();
typedef TAknWindowLineLayout (TBrowser_image_highlight_Line_7_sig)();
typedef TAknWindowLineLayout (TBrowser_image_highlight_Line_8_sig)();
typedef TAknWindowLineLayout (TBrowser_image_highlight_Line_9_sig)();
typedef TAknLayoutTableLimits (TBrowser_image_highlight_Limits_sig)();
typedef TAknWindowLineLayout (TBrowser_image_highlight_sig)(TInt);
typedef TAknWindowLineLayout (TNavi_pane_elements_Line_1_sig)();
typedef TAknWindowLineLayout (Tlist_cale_time_pane_sig)(TInt, TInt);
typedef TAknWindowLineLayout (Tlist_pinb_item_pane_sig)(TInt);
typedef TAknWindowLineLayout (TList_pane_elements__cale_time__Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TList_pane_elements__cale_time__Line_2_sig)();
typedef TAknWindowLineLayout (TList_pane_elements__cale_time__Line_3_sig)(TInt, TInt);
typedef TAknTextLineLayout (TList_pane_texts__cale_time__Line_1_sig)(TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_List_pane_texts__cale_time__Line_1_sig)(TInt, TInt);
typedef TAknTextLineLayout (TList_pane_texts__cale_time__Line_2_sig)(TInt);
typedef TAknTextLineLayout (TList_pane_texts__cale_time__Line_3_sig)(TInt, TInt, TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_List_pane_texts__cale_time__Line_3_sig)(TInt, TInt, TInt, TInt);
typedef TAknWindowLineLayout (TList_pane_elements__pinb_item__Line_1_sig)();
typedef TAknWindowLineLayout (TList_pane_elements__pinb_item__Line_2_sig)();
typedef TAknWindowLineLayout (TList_pane_elements__pinb_item__Line_3_sig)();
typedef TAknWindowLineLayout (TList_pane_elements__pinb_item__Line_4_sig)(TInt);
typedef TAknLayoutTableLimits (TList_pane_elements__pinb_item__SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TList_pane_elements__pinb_item__SUB_TABLE_0_sig)(TInt);
typedef TAknTextLineLayout (TList_pane_texts__pinb_item__Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TList_pane_highlight__several__Line_1_sig)(const TRect&);
typedef TAknWindowLineLayout (TList_pane_highlight__several__Line_2_sig)(const TRect&);
typedef TAknLayoutTableLimits (TList_pane_highlight__several__Limits_sig)();
typedef TAknWindowLineLayout (TList_pane_highlight__several__sig)(TInt, const TRect&);
typedef TAknWindowLineLayout (Tcell_pinb_pane_sig)(TInt, TInt);
typedef TAknWindowLineLayout (Tcell_qdial_pane_sig)(TInt, TInt);
typedef TAknWindowLineLayout (Tcell_cale_month_pane_sig)(TInt, TInt, TInt);
typedef TAknWindowLineLayout (Tcell_calc_pane_sig)(TInt, TInt);
typedef TAknWindowLineLayout (Tcell_cale_week_pane_sig)(TInt, TInt);
typedef TAknWindowLineLayout (Tcell_vorec_pane_sig)(TInt);
typedef TAknWindowLineLayout (Tcell_gms_pane_sig)(TInt, TInt);
typedef TAknWindowLineLayout (Tcell_mp_pane_sig)(TInt);
typedef TAknLayoutTableLimits (TGrid_pane_descendants_SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TGrid_pane_descendants_SUB_TABLE_0_sig)(TInt, TInt, TInt);
typedef TAknWindowLineLayout (TCell_pane_elements__pinb__Line_1_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__pinb__Line_2_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__pinb__Line_3_sig)();
typedef TAknLayoutTableLimits (TCell_pane_elements__pinb__Limits_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__pinb__sig)(TInt);
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_1_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_2_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_3_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_4_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_5_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_6_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_7_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_8_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_9_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_10_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_11_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_12_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_13_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_14_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_15_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_16_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_17_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_18_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_19_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_20_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__Line_21_sig)();
typedef TAknLayoutTableLimits (TCell_pane_elements__qdial__Limits_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__qdial__sig)(TInt);
typedef TAknTextLineLayout (TCell_pane_texts__qdial__Line_1_sig)(TInt, TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_Cell_pane_texts__qdial__Line_1_sig)(TInt, TInt, TInt, TInt);
typedef TAknWindowLineLayout (TCell_pane_elements__cale_month__Line_1_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TCell_pane_elements__cale_month__Line_2_sig)(TInt);
typedef TAknTextLineLayout (TCell_pane_texts__cale_month__Line_1_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TCell_pane_elements__calc__Line_1_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__cale_week__Line_1_sig)(const TRect&, TInt);
typedef TAknWindowLineLayout (TCell_pane_elements__cale_week__Line_2_sig)(TInt);
typedef TAknWindowLineLayout (TCell_pane_elements__cale_week__Line_3_sig)(TInt);
typedef TAknWindowLineLayout (TCell_pane_elements__cale_week__Line_4_sig)();
typedef TAknLayoutTableLimits (TCell_pane_elements__cale_week__SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__cale_week__SUB_TABLE_0_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TVoice_Recorder_cell_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TGraphical_message_cell_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TGraphical_message_cell_elements_Line_2_sig)();
typedef TAknLayoutTableLimits (TGraphical_message_cell_elements_Limits_sig)();
typedef TAknWindowLineLayout (TGraphical_message_cell_elements_sig)(TInt);
typedef TAknWindowLineLayout (TMediaPlayer_cell_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TCell_pane_highlight_elements__various__Line_1_sig)(const TRect&);
typedef TAknWindowLineLayout (TCell_pane_highlight_elements__qdial__Line_1_sig)(const TRect&);
typedef TAknWindowLineLayout (TCell_pane_highlight_elements__qdial__Line_2_sig)();
typedef TAknTextLineLayout (TBrowser_texts_Line_1_sig)(TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_Browser_texts_Line_1_sig)(TInt, TInt);
typedef TAknTextLineLayout (TBrowser_texts_Line_2_sig)(TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_Browser_texts_Line_2_sig)(TInt, TInt);
typedef TAknTextLineLayout (TBrowser_texts_Line_3_sig)(TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_Browser_texts_Line_3_sig)(TInt, TInt);
typedef TAknLayoutTableLimits (TBrowser_texts_Limits_sig)();
typedef TAknTextLineLayout (TBrowser_texts_sig)(TInt, TInt, TInt);
typedef TAknWindowLineLayout (TBrowser_selection_box_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TBrowser_selection_box_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TBrowser_selection_box_elements_Line_3_sig)();
typedef TAknWindowLineLayout (TBrowser_selection_box_elements_Line_4_sig)();
typedef TAknLayoutTableLimits (TBrowser_selection_box_elements_Limits_sig)();
typedef TAknWindowLineLayout (TBrowser_selection_box_elements_sig)(TInt);
typedef TAknWindowLineLayout (TBrowser_highlights_Line_1_sig)(const TRect&, TInt);
typedef TAknWindowLineLayout (TBrowser_highlights_Line_2_sig)(const TRect&, TInt);
typedef TAknLayoutTableLimits (TBrowser_highlights_Limits_sig)();
typedef TAknWindowLineLayout (TBrowser_highlights_sig)(TInt, const TRect&, TInt);
typedef TAknWindowLineLayout (TBrowser_text_link_underlining_Line_1_sig)(const TRect&, TInt);
typedef TAknWindowLineLayout (TBrowser_table_frame_graphics_and_highlight_Line_1_sig)();
typedef TAknWindowLineLayout (TBrowser_table_frame_graphics_and_highlight_Line_2_sig)();
typedef TAknLayoutTableLimits (TBrowser_table_frame_graphics_and_highlight_Limits_sig)();
typedef TAknWindowLineLayout (TBrowser_table_frame_graphics_and_highlight_sig)(TInt);
typedef TAknWindowLineLayout (TBrowser_image_frame_and_highlight_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TBrowser_image_frame_and_highlight_Line_2_sig)();
typedef TAknWindowLineLayout (TBrowser_image_frame_and_highlight_Line_3_sig)();
typedef TAknLayoutTableLimits (TBrowser_image_frame_and_highlight_SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TBrowser_image_frame_and_highlight_SUB_TABLE_0_sig)(TInt);
typedef TAknWindowLineLayout (TBrowser_broken_image_Line_1_sig)();
typedef TAknWindowLineLayout (TBrowser_broken_image_Line_2_sig)();
typedef TAknWindowLineLayout (TBrowser_broken_image_Line_3_sig)();
typedef TAknLayoutTableLimits (TBrowser_broken_image_Limits_sig)();
typedef TAknWindowLineLayout (TBrowser_broken_image_sig)(TInt);
typedef TAknTextLineLayout (TBrowser_broken_image_text_Line_1_sig)();
typedef TAknWindowLineLayout (TCalendar_Day_view_elements_and_descendants_Line_1_sig)();
typedef TAknWindowLineLayout (TCalendar_Day_view_elements_and_descendants_Line_2_sig)();
typedef TAknWindowLineLayout (TCalendar_Day_view_elements_and_descendants_Line_3_sig)();
typedef TAknWindowLineLayout (Tlist_cale_pane_sig)();
typedef TAknLayoutTableLimits (TCalendar_Day_view_elements_and_descendants_Limits_sig)();
typedef TAknWindowLineLayout (TCalendar_Day_view_elements_and_descendants_sig)(TInt);
typedef TAknTextLineLayout (TList_pane_texts__cale_time_empty__Line_1_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_List_pane_texts__cale_time_empty__Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TCalendar_Week_view_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TCalendar_Week_view_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TCalendar_Week_view_elements_Line_3_sig)();
typedef TAknWindowLineLayout (TCalendar_Week_view_elements_Line_4_sig)();
typedef TAknWindowLineLayout (TCalendar_Week_view_elements_Line_5_sig)();
typedef TAknWindowLineLayout (TCalendar_Week_view_elements_Line_6_sig)(TInt);
typedef TAknWindowLineLayout (TCalendar_Week_view_elements_Line_7_sig)(TInt);
typedef TAknWindowLineLayout (TCalendar_Week_view_elements_Line_8_sig)(TInt);
typedef TAknWindowLineLayout (Tgrid_cale_week_pane_sig)();
typedef TAknLayoutTableLimits (TCalendar_Week_view_elements_SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TCalendar_Week_view_elements_SUB_TABLE_0_sig)(TInt);
typedef TAknTextLineLayout (TCalendar_Week_view_texts_Line_1_sig)(TInt);
typedef TAknTextLineLayout (TCalendar_Week_view_texts_Line_2_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Calendar_Week_view_texts_Line_2_sig)(TInt);
typedef TAknWindowLineLayout (TCalendar_Month_view_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TCalendar_Month_view_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TCalendar_Month_view_elements_Line_3_sig)();
typedef TAknWindowLineLayout (TCalendar_Month_view_elements_Line_4_sig)();
typedef TAknWindowLineLayout (TCalendar_Month_view_elements_Line_5_sig)();
typedef TAknWindowLineLayout (TCalendar_Month_view_elements_Line_6_sig)(TInt);
typedef TAknWindowLineLayout (TCalendar_Month_view_elements_Line_7_sig)(TInt, TInt);
typedef TAknWindowLineLayout (Tgrid_cale_month_pane_sig)(TInt);
typedef TAknLayoutTableLimits (TCalendar_Month_view_elements_SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TCalendar_Month_view_elements_SUB_TABLE_0_sig)(TInt);
typedef TAknTextLineLayout (TCalendar_Month_view_texts_Line_1_sig)(TInt);
typedef TAknTextLineLayout (TCalendar_Month_view_texts_Line_2_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Calendar_Month_view_texts_Line_2_sig)(TInt);
typedef TAknWindowLineLayout (TCalculator_elements_Line_1_sig)();
typedef TAknWindowLineLayout (Tgqn_graf_calc_paper_sig)();
typedef TAknWindowLineLayout (TCalculator_elements_Line_3_sig)(TInt);
typedef TAknWindowLineLayout (Tgrid_calc_pane_sig)();
typedef TAknLayoutTableLimits (TCalculator_elements_SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TCalculator_elements_SUB_TABLE_0_sig)(TInt);
typedef TAknTextLineLayout (TCalculator_texts_Line_1_sig)();
typedef TAknTextLineLayout (TCalculator_texts_Line_2_sig)();
typedef TAknTextLineLayout (TCalculator_texts_Line_3_sig)();
typedef TAknTextLineLayout (TCalculator_texts_Line_4_sig)();
typedef TAknTextLineLayout (TCalculator_texts_Line_5_sig)();
typedef TAknTextLineLayout (TCalculator_texts_Line_6_sig)();
typedef TAknTextLineLayout (TCalculator_texts_Line_7_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Calculator_texts_Line_7_sig)(TInt);
typedef TAknTextLineLayout (TCalculator_texts_Line_8_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Calculator_texts_Line_8_sig)(TInt);
typedef TAknLayoutTableLimits (TCalculator_texts_SUB_TABLE_0_Limits_sig)();
typedef TAknTextLineLayout (TCalculator_texts_SUB_TABLE_0_sig)(TInt);
typedef TAknLayoutTableLimits (TCalculator_texts_SUB_TABLE_1_Limits_sig)();
typedef TAknTextLineLayout (TCalculator_texts_SUB_TABLE_1_sig)(TInt, TInt);
typedef TAknWindowLineLayout (Tpopup_clock__ref__window_sig)();
typedef TAknWindowLineLayout (TReal_Time_Alarm_Clock_view_descendants_panes_and_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TReal_Time_Alarm_Clock_view_descendants_panes_and_elements_Line_3_sig)();
typedef TAknWindowLineLayout (TReal_Time_Alarm_Clock_view_descendants_panes_and_elements_Line_4_sig)();
typedef TAknWindowLineLayout (TReal_Time_Alarm_Clock_view_descendants_panes_and_elements_Line_5_sig)();
typedef TAknLayoutTableLimits (TReal_Time_Alarm_Clock_view_descendants_panes_and_elements_Limits_sig)();
typedef TAknWindowLineLayout (TReal_Time_Alarm_Clock_view_descendants_panes_and_elements_sig)(TInt);
typedef TAknTextLineLayout (TReal_Time_Alarm_Clock_view_texts__skins__Line_1_sig)(TInt);
typedef TAknTextLineLayout (TReal_Time_Alarm_Clock_view_texts__skins__Line_2_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Real_Time_Alarm_Clock_view_texts__skins__Line_2_sig)(TInt);
typedef TAknTextLineLayout (TReal_Time_Alarm_Clock_view_texts__skins__Line_3_sig)();
typedef TAknTextLineLayout (TReal_Time_Alarm_Clock_view_texts__skins__Line_4_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Real_Time_Alarm_Clock_view_texts__skins__Line_4_sig)(TInt);
typedef TAknTextLineLayout (TReal_Time_Alarm_Clock_view_texts__skins__Line_5_sig)();
typedef TAknTextLineLayout (TReal_Time_Alarm_Clock_view_texts__skins__Line_6_sig)();
typedef TAknLayoutTableLimits (TReal_Time_Alarm_Clock_view_texts__skins__SUB_TABLE_0_Limits_sig)();
typedef TAknTextLineLayout (TReal_Time_Alarm_Clock_view_texts__skins__SUB_TABLE_0_sig)(TInt);
typedef TAknWindowLineLayout (TClock_find_pane_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TClock_find_pane_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TClock_find_pane_elements_Line_3_sig)();
typedef TAknWindowLineLayout (TClock_find_pane_elements_Line_4_sig)();
typedef TAknWindowLineLayout (TClock_find_pane_elements_Line_5_sig)();
typedef TAknLayoutTableLimits (TClock_find_pane_elements_Limits_sig)();
typedef TAknWindowLineLayout (TClock_find_pane_elements_sig)(TInt);
typedef TAknTextLineLayout (TFind_pane_texts_Line_1_sig)();
typedef TAknWindowLineLayout (TNear_QCIF_sig)();
typedef TAknWindowLineLayout (TCamcorder_Still_Image_Viewfinder_descendants_and_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TCamcorder_Still_Image_Viewfinder_descendants_and_elements_Line_3_sig)();
typedef TAknWindowLineLayout (TCamcorder_Still_Image_Viewfinder_descendants_and_elements_Line_4_sig)();
typedef TAknWindowLineLayout (TCamcorder_Still_Image_Viewfinder_descendants_and_elements_Line_5_sig)();
typedef TAknLayoutTableLimits (TCamcorder_Still_Image_Viewfinder_descendants_and_elements_Limits_sig)();
typedef TAknWindowLineLayout (TCamcorder_Still_Image_Viewfinder_descendants_and_elements_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Zooming_factor_pane_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TCamcorder_Zooming_factor_pane_elements_Line_2_sig)();
typedef TAknLayoutTableLimits (TCamcorder_Zooming_factor_pane_elements_Limits_sig)();
typedef TAknWindowLineLayout (TCamcorder_Zooming_factor_pane_elements_sig)(TInt);
typedef TAknTextLineLayout (TCamcorder_Still_Image_Viewfinder_texts_Line_1_sig)();
typedef TAknTextLineLayout (TCamcorder_Still_Image_Viewfinder_texts_Line_2_sig)();
typedef TAknLayoutTableLimits (TCamcorder_Still_Image_Viewfinder_texts_Limits_sig)();
typedef TAknTextLineLayout (TCamcorder_Still_Image_Viewfinder_texts_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Video_Viewfinder_descendants_and_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TCamcorder_Video_Viewfinder_descendants_and_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TCamcorder_Video_Viewfinder_descendants_and_elements_Line_3_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Video_Viewfinder_descendants_and_elements_Line_4_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Video_Viewfinder_descendants_and_elements_Line_5_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Video_Viewfinder_descendants_and_elements_Line_6_sig)(TInt);
typedef TAknLayoutTableLimits (TCamcorder_Video_Viewfinder_descendants_and_elements_SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TCamcorder_Video_Viewfinder_descendants_and_elements_SUB_TABLE_0_sig)(TInt);
typedef TAknLayoutTableLimits (TCamcorder_Video_Viewfinder_descendants_and_elements_SUB_TABLE_1_Limits_sig)();
typedef TAknWindowLineLayout (TCamcorder_Video_Viewfinder_descendants_and_elements_SUB_TABLE_1_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TCamcorder_Video_Recording_descendants_and_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TCamcorder_Video_Recording_descendants_and_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TCamcorder_Video_Recording_descendants_and_elements_Line_3_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Video_Recording_descendants_and_elements_Line_4_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Video_Recording_descendants_and_elements_Line_5_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Video_Recording_descendants_and_elements_Line_6_sig)(TInt);
typedef TAknLayoutTableLimits (TCamcorder_Video_Recording_descendants_and_elements_SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TCamcorder_Video_Recording_descendants_and_elements_SUB_TABLE_0_sig)(TInt);
typedef TAknLayoutTableLimits (TCamcorder_Video_Recording_descendants_and_elements_SUB_TABLE_1_Limits_sig)();
typedef TAknWindowLineLayout (TCamcorder_Video_Recording_descendants_and_elements_SUB_TABLE_1_sig)(TInt, TInt);
typedef TAknTextLineLayout (TCamcorder_Duration_texts_Line_1_sig)();
typedef TAknWindowLineLayout (TQVGA_sig)();
typedef TAknWindowLineLayout (TCamcorder_Video_Post_recording_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TCamcorder_Video_Post_recording_elements_Line_3_sig)();
typedef TAknLayoutTableLimits (TCamcorder_Video_Post_recording_elements_Limits_sig)();
typedef TAknWindowLineLayout (TCamcorder_Video_Post_recording_elements_sig)(TInt);
typedef TAknWindowLineLayout (TGraphical_message_selection_layout_elements_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TGraphical_message_selection_layout_elements_Line_2_sig)(TInt);
typedef TAknWindowLineLayout (Tgrid_gms_pane_sig)();
typedef TAknTextLineLayout (THelp_texts_Line_1_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Help_texts_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TPhonebook_Photo_view_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TPhonebook_Photo_view_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TPhonebook_Photo_view_elements_Line_3_sig)();
typedef TAknWindowLineLayout (TPhonebook_Photo_view_elements_Line_4_sig)();
typedef TAknWindowLineLayout (TPhonebook_Photo_view_elements_Line_5_sig)();
typedef TAknWindowLineLayout (TPhonebook_Photo_view_elements_Line_6_sig)();
typedef TAknWindowLineLayout (TPhonebook_Photo_view_elements_Line_7_sig)();
typedef TAknWindowLineLayout (TPhonebook_Photo_view_elements_Line_8_sig)();
typedef TAknLayoutTableLimits (TPhonebook_Photo_view_elements_Limits_sig)();
typedef TAknWindowLineLayout (TPhonebook_Photo_view_elements_sig)(TInt);
typedef TAknWindowLineLayout (TPresence_status_list_components_Line_1_sig)();
typedef TAknWindowLineLayout (TPresence_status_list_components_Line_2_sig)();
typedef TAknWindowLineLayout (TPresence_status_list_components_Line_3_sig)();
typedef TAknWindowLineLayout (Timage_or_qgn_prop_dyc_big__ref__sig)();
typedef TAknTextLineLayout (TPresence_status_list_texts_Line_1_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Presence_status_list_texts_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TPinboard_elements__grid__Line_1_sig)();
typedef TAknWindowLineLayout (TPinboard_elements__grid__Line_2_sig)();
typedef TAknWindowLineLayout (TPinboard_elements__grid__Line_3_sig)();
typedef TAknWindowLineLayout (TPinboard_elements__grid__Line_4_sig)(TInt);
typedef TAknWindowLineLayout (TPinboard_elements__grid__Line_5_sig)();
typedef TAknWindowLineLayout (TPinboard_elements__grid__Line_6_sig)(TInt);
typedef TAknWindowLineLayout (TPinboard_elements__grid__Line_7_sig)();
typedef TAknWindowLineLayout (Tfind_pinb_pane_sig)();
typedef TAknLayoutTableLimits (TPinboard_elements__grid__SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TPinboard_elements__grid__SUB_TABLE_0_sig)(TInt);
typedef TAknLayoutTableLimits (TPinboard_elements__grid__SUB_TABLE_1_Limits_sig)();
typedef TAknWindowLineLayout (TPinboard_elements__grid__SUB_TABLE_1_sig)(TInt);
typedef TAknWindowLineLayout (TFind_pane_elements__pinb__Line_1_sig)();
typedef TAknWindowLineLayout (TFind_pane_elements__pinb__Line_2_sig)();
typedef TAknWindowLineLayout (TFind_pane_elements__pinb__Line_3_sig)();
typedef TAknWindowLineLayout (TFind_pane_elements__pinb__Line_4_sig)();
typedef TAknLayoutTableLimits (TFind_pane_elements__pinb__Limits_sig)();
typedef TAknWindowLineLayout (TFind_pane_elements__pinb__sig)(TInt);
typedef TAknTextLineLayout (TFind_pane_texts__pinb__Line_1_sig)();
typedef TAknTextLineLayout (TFind_pane_texts__pinb__Line_2_sig)();
typedef TAknLayoutTableLimits (TFind_pane_texts__pinb__Limits_sig)();
typedef TAknTextLineLayout (TFind_pane_texts__pinb__sig)(TInt);
typedef TAknWindowLineLayout (TPinboard_elements__list__Line_1_sig)();
typedef TAknWindowLineLayout (TPinboard_elements__list__Line_2_sig)();
typedef TAknWindowLineLayout (TPinboard_elements__list__Line_3_sig)();
typedef TAknWindowLineLayout (TPinboard_elements__list__Line_4_sig)(TInt);
typedef TAknWindowLineLayout (TPinboard_elements__list__Line_5_sig)();
typedef TAknWindowLineLayout (TPinboard_elements__list__Line_6_sig)(TInt);
typedef TAknWindowLineLayout (Tlist_pinb_pane_sig)();
typedef TAknLayoutTableLimits (TPinboard_elements__list__SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TPinboard_elements__list__SUB_TABLE_0_sig)(TInt);
typedef TAknWindowLineLayout (TSpeed_Dial_descendants_Line_1_sig)();
typedef TAknWindowLineLayout (Tgrid_vorec_pane_sig)();
typedef TAknWindowLineLayout (TVoice_Recorder_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TVoice_Recorder_elements_Line_3_sig)();
typedef TAknWindowLineLayout (TVoice_Recorder_elements_Line_4_sig)();
typedef TAknWindowLineLayout (TVoice_Recorder_elements_Line_5_sig)();
typedef TAknLayoutTableLimits (TVoice_Recorder_elements_Limits_sig)();
typedef TAknWindowLineLayout (TVoice_Recorder_elements_sig)(TInt);
typedef TAknTextLineLayout (TVoice_Recorder_texts_Line_1_sig)();
typedef TAknTextLineLayout (TVoice_Recorder_texts_Line_2_sig)();
typedef TAknTextLineLayout (TVoice_Recorder_texts_Line_3_sig)();
typedef TAknTextLineLayout (TVoice_Recorder_texts_Line_4_sig)();
typedef TAknTextLineLayout (TVoice_Recorder_texts_Line_5_sig)();
typedef TAknTextLineLayout (TVoice_Recorder_texts_Line_6_sig)();
typedef TAknLayoutTableLimits (TVoice_Recorder_texts_Limits_sig)();
typedef TAknTextLineLayout (TVoice_Recorder_texts_sig)(TInt);
typedef TAknTextLineLayout (TMessage_writing_texts_Line_1_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Message_writing_texts_Line_1_sig)(TInt);
typedef TAknTextLineLayout (TMessage_writing_texts_Line_2_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Message_writing_texts_Line_2_sig)(TInt);
typedef TAknTextLineLayout (TMessage_writing_texts_Line_3_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Message_writing_texts_Line_3_sig)(TInt);
typedef TAknLayoutTableLimits (TMessage_writing_texts_Limits_sig)();
typedef TAknTextLineLayout (TMessage_writing_texts_sig)(TInt, TInt);
typedef TAknTextLineLayout (TSmart_Messages_Line_1_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Smart_Messages_Line_1_sig)(TInt);
typedef TAknTextLineLayout (TSmart_Messages_Line_2_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Smart_Messages_Line_2_sig)(TInt);
typedef TAknLayoutTableLimits (TSmart_Messages_Limits_sig)();
typedef TAknTextLineLayout (TSmart_Messages_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TNote_writing_layout_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TNote_writing_layout_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TNote_writing_layout_elements_Line_3_sig)();
typedef TAknWindowLineLayout (TNote_writing_layout_elements_Line_4_sig)();
typedef TAknWindowLineLayout (TNote_writing_layout_elements_Line_5_sig)(TInt);
typedef TAknLayoutTableLimits (TNote_writing_layout_elements_SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TNote_writing_layout_elements_SUB_TABLE_0_sig)(TInt);
typedef TAknTextLineLayout (TNote_writing_texts_Line_1_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Note_writing_texts_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (Tim_reading_pane_sig)(TInt);
typedef TAknWindowLineLayout (Tim_writing_pane_sig)(TInt);
typedef TAknTextLineLayout (TIM_navi_pane_texts_Line_1_sig)(TInt, TInt);
typedef TAknTextLineLayout (TIM_reading_pane_texts_Line_1_sig)(TInt);
typedef TAknTextLineLayout (TIM_reading_pane_texts_Line_2_sig)();
typedef TAknWindowLineLayout (Tim_reading_field_sig)(TInt);
typedef TAknWindowLineLayout (TIM_text_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TIM_text_elements_Line_2_sig)();
typedef TAknWindowLineLayout (Tsmiley__qgn_prop_im_smileys__ref___sig)();
typedef TAknLayoutTableLimits (TIM_text_elements_Limits_sig)();
typedef TAknWindowLineLayout (TIM_text_elements_sig)(TInt);
typedef TAknWindowLineLayout (TIM_reading_field_highlight_graphics_Line_1_sig)(const TRect&);
typedef TAknWindowLineLayout (TIM_reading_field_highlight_graphics_Line_2_sig)(const TRect&);
typedef TAknLayoutTableLimits (TIM_reading_field_highlight_graphics_Limits_sig)();
typedef TAknWindowLineLayout (TIM_reading_field_highlight_graphics_sig)(TInt, const TRect&);
typedef TAknWindowLineLayout (TIM_writing_field_elements_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TIM_writing_field_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TIM_writing_field_elements_Line_3_sig)(TInt);
typedef TAknTextLineLayout (TIM_writing_pane_texts_Line_1_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_IM_writing_pane_texts_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (Tmp_bg_pane_sig)();
typedef TAknWindowLineLayout (TEmpty_Player_view_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TMedia_Player_Playback_view_navi_pane_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TMedia_Player_Playback_view_navi_pane_elements_Line_2_sig)();
typedef TAknLayoutTableLimits (TMedia_Player_Playback_view_navi_pane_elements_Limits_sig)();
typedef TAknWindowLineLayout (TMedia_Player_Playback_view_navi_pane_elements_sig)(TInt);
typedef TAknTextLineLayout (TMedia_Player_Playback_view_navi_pane_texts_Line_1_sig)();
typedef TAknWindowLineLayout (TMedia_Player_Playlist_navi_pane_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TMedia_Player_Playlist_navi_pane_elements_Line_2_sig)();
typedef TAknLayoutTableLimits (TMedia_Player_Playlist_navi_pane_elements_Limits_sig)();
typedef TAknWindowLineLayout (TMedia_Player_Playlist_navi_pane_elements_sig)(TInt);
typedef TAknWindowLineLayout (Tgrid_mp_pane_sig)();
typedef TAknWindowLineLayout (TMedia_Player_Playback_view_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TMedia_Player_Playback_view_elements_Line_3_sig)();
typedef TAknWindowLineLayout (TMedia_Player_Playback_view_elements_Line_4_sig)();
typedef TAknWindowLineLayout (TMedia_Player_Playback_view_elements_Line_5_sig)();
typedef TAknWindowLineLayout (TMedia_Player_Playback_view_elements_Line_6_sig)();
typedef TAknTextLineLayout (TMedia_Player_Playback_view_texts_Line_1_sig)();
typedef TAknTextLineLayout (TMedia_Player_Playback_view_texts_Line_2_sig)();
typedef TAknTextLineLayout (TMedia_Player_Playback_view_texts_Line_3_sig)();
typedef TAknTextLineLayout (TMedia_Player_Playback_view_texts_Line_4_sig)();
typedef TAknTextLineLayout (TMedia_Player_Playback_view_texts_Line_5_sig)();
typedef TAknTextLineLayout (TMedia_Player_Playback_view_texts_Line_6_sig)();
typedef TAknTextLineLayout (TMedia_Player_Playback_view_texts_Line_7_sig)();
typedef TAknLayoutTableLimits (TMedia_Player_Playback_view_texts_Limits_sig)();
typedef TAknTextLineLayout (TMedia_Player_Playback_view_texts_sig)(TInt);
typedef TAknWindowLineLayout (TSMIL_presentation_attachment_element_Line_1_sig)();
typedef TAknWindowLineLayout (TSMIL_presentation_attachment_highlight_Line_1_sig)();
typedef TAknWindowLineLayout (TSMIL_presentation_attachment_highlight_Line_2_sig)();
typedef TAknLayoutTableLimits (TSMIL_presentation_attachment_highlight_Limits_sig)();
typedef TAknWindowLineLayout (TSMIL_presentation_attachment_highlight_sig)(TInt);
typedef TAknWindowLineLayout (TSMIL_presentation_elements_and_descendant_panes_Line_1_sig)();
typedef TAknWindowLineLayout (Tsmil_status_pane_sig)();
typedef TAknWindowLineLayout (Tsmil_text_pane_sig)(TInt, TInt);
typedef TAknLayoutTableLimits (TSMIL_presentation_elements_and_descendant_panes_SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TSMIL_presentation_elements_and_descendant_panes_SUB_TABLE_0_sig)(TInt);
typedef TAknWindowLineLayout (Tsmil_volume_pane_sig)();
typedef TAknWindowLineLayout (TSMIL_status_pane_elements_and_descendant_panes_Line_2_sig)();
typedef TAknWindowLineLayout (TSMIL_status_pane_elements_and_descendant_panes_Line_3_sig)();
typedef TAknWindowLineLayout (TSMIL_status_pane_elements_and_descendant_panes_Line_4_sig)();
typedef TAknLayoutTableLimits (TSMIL_status_pane_elements_and_descendant_panes_Limits_sig)();
typedef TAknWindowLineLayout (TSMIL_status_pane_elements_and_descendant_panes_sig)(TInt);
typedef TAknTextLineLayout (TSMIL_status_pane_texts_Line_1_sig)();
typedef TAknWindowLineLayout (TSMIL_volume_pane_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TSMIL_volume_pane_elements_Line_2_sig)();
typedef TAknLayoutTableLimits (TSMIL_volume_pane_elements_Limits_sig)();
typedef TAknWindowLineLayout (TSMIL_volume_pane_elements_sig)(TInt);
typedef TAknTextLineLayout (TLocation_request_type_texts_Line_1_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Location_request_type_texts_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TLocation_requestor_pane_elements_Line_1_sig)(TInt);
typedef TAknTextLineLayout (TLocation_reqestor_pane_texts_Line_1_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TLocation_request_popup_window_grapihcs_Line_1_sig)(const TRect&);
typedef TAknWindowLineLayout (TLocation_request_popup_window_grapihcs_Line_2_sig)(const TRect&);
typedef TAknWindowLineLayout (TLocation_request_popup_window_grapihcs_Line_3_sig)(const TRect&);
typedef TAknWindowLineLayout (TLocation_request_popup_window_grapihcs_Line_4_sig)(const TRect&);
typedef TAknWindowLineLayout (TLocation_request_popup_window_grapihcs_Line_5_sig)(const TRect&);
typedef TAknLayoutTableLimits (TLocation_request_popup_window_grapihcs_Limits_sig)();
typedef TAknWindowLineLayout (TLocation_request_popup_window_grapihcs_sig)(TInt, const TRect&);
typedef TAknLayoutTableLimits (TVolume_strength_area_values_Limits_sig)();
typedef TAknWindowLineLayout (TVolume_strength_area_values_sig)(TInt);
typedef TAknWindowLineLayout (TSMIL_text_pane_elements_Line_1_sig)(const TRect&);
typedef TAknWindowLineLayout (Tsmil_scroll_pane_sig)(const TRect&);
typedef TAknTextLineLayout (TSMIL_text_pane_texts_Line_1_sig)(TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_SMIL_text_pane_texts_Line_1_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TSMIL_scroll_pane_elements_Line_1_sig)(const TRect&);
typedef TAknWindowLineLayout (TSMIL_scroll_pane_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TSMIL_scroll_pane_elements_Line_3_sig)();
typedef TAknLayoutTableLimits (TSMIL_scroll_pane_elements_SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TSMIL_scroll_pane_elements_SUB_TABLE_0_sig)(TInt);
typedef TAknWindowLineLayout (Tpopup_pbook_thumbnail_window_sig)();
typedef TAknWindowLineLayout (Tpopup_call_status_window_sig)(TInt);
typedef TAknWindowLineLayout (Tpopup_call_video_up_window_sig)(TInt);
typedef TAknWindowLineLayout (Tpopup_cale_events_window_sig)(TInt);
typedef TAknWindowLineLayout (Tlist_single_graphic_popup_conf_pane_sig)(TInt);
typedef TAknWindowLineLayout (TList_pane_elements__conf_single_graphic__Line_1_sig)();
typedef TAknWindowLineLayout (TList_pane_elements__conf_single_graphic__Line_2_sig)();
typedef TAknLayoutTableLimits (TList_pane_elements__conf_single_graphic__Limits_sig)();
typedef TAknWindowLineLayout (TList_pane_elements__conf_single_graphic__sig)(TInt);
typedef TAknTextLineLayout (TList_pane_texts__conf_single_graphic__Line_1_sig)();
typedef TAknWindowLineLayout (TList_pane_elements__menu_single_graphic_bt__Line_1_sig)();
typedef TAknWindowLineLayout (TList_pane_elements__menu_single_graphic_bt__Line_2_sig)(TInt);
typedef TAknTextLineLayout (TList_pane_text__menu_single_graphic_bt__Line_1_sig)(TInt);
typedef TAknWindowLineLayout (THighlight_graphics_Line_1_sig)(const TRect&);
typedef TAknWindowLineLayout (THighlight_graphics_Line_2_sig)(const TRect&);
typedef TAknLayoutTableLimits (THighlight_graphics_Limits_sig)();
typedef TAknWindowLineLayout (THighlight_graphics_sig)(TInt, const TRect&);
typedef TAknWindowLineLayout (Tcell_large_graphic_popup_pane_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TCell_pane_elements__popup_large_graphic_gms__Line_1_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__popup_large_graphic_gms__Line_2_sig)();
typedef TAknLayoutTableLimits (TCell_pane_elements__popup_large_graphic_gms__Limits_sig)();
typedef TAknWindowLineLayout (TCell_pane_elements__popup_large_graphic_gms__sig)(TInt);
typedef TAknWindowLineLayout (THighlight_elements__grid_pop_up__Line_1_sig)(const TRect&);
typedef TAknTextLineLayout (TNumber_entry_pop_up_window_texts_Line_1_sig)(TInt);
typedef TAknTextLineLayout (TNumber_entry_pop_up_window_texts_Line_2_sig)(TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_Number_entry_pop_up_window_texts_Line_2_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TNumber_entry_pop_up_window_graphics_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TNumber_entry_pop_up_window_graphics_Line_2_sig)(TInt);
typedef TAknWindowLineLayout (TNumber_entry_pop_up_window_graphics_Line_3_sig)(TInt);
typedef TAknWindowLineLayout (TNumber_entry_pop_up_window_graphics_Line_4_sig)(TInt);
typedef TAknWindowLineLayout (TNumber_entry_pop_up_window_graphics_Line_5_sig)(TInt);
typedef TAknLayoutTableLimits (TNumber_entry_pop_up_window_graphics_SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TNumber_entry_pop_up_window_graphics_SUB_TABLE_0_sig)(TInt, TInt);
typedef TAknWindowLineLayout (Tpopup_heading_pane_sig)();
typedef TAknWindowLineLayout (TPhonebook_memory_status_pop_up_window_descendants_and_elements_Line_2_sig)();
typedef TAknLayoutTableLimits (TPhonebook_memory_status_pop_up_window_descendants_and_elements_Limits_sig)();
typedef TAknWindowLineLayout (TPhonebook_memory_status_pop_up_window_descendants_and_elements_sig)(TInt);
typedef TAknTextLineLayout (TPhonebook_memory_status_pop_up_window_texts_Line_1_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Phonebook_memory_status_pop_up_window_texts_Line_1_sig)(TInt);
typedef TAknTextLineLayout (TPhonebook_memory_status_pop_up_window_texts_Line_2_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Phonebook_memory_status_pop_up_window_texts_Line_2_sig)(TInt);
typedef TAknLayoutTableLimits (TPhonebook_memory_status_pop_up_window_texts_Limits_sig)();
typedef TAknTextLineLayout (TPhonebook_memory_status_pop_up_window_texts_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TPhonebook_memory_status_pop_up_window_graphics_Line_1_sig)();
typedef TAknWindowLineLayout (TPhonebook_memory_status_pop_up_window_graphics_Line_2_sig)();
typedef TAknWindowLineLayout (TPhonebook_memory_status_pop_up_window_graphics_Line_3_sig)();
typedef TAknWindowLineLayout (TPhonebook_memory_status_pop_up_window_graphics_Line_4_sig)();
typedef TAknWindowLineLayout (TPhonebook_memory_status_pop_up_window_graphics_Line_5_sig)();
typedef TAknLayoutTableLimits (TPhonebook_memory_status_pop_up_window_graphics_Limits_sig)();
typedef TAknWindowLineLayout (TPhonebook_memory_status_pop_up_window_graphics_sig)(TInt);
typedef TAknWindowLineLayout (TGraphical_message_image_selection_pop_up_window_descendants_Line_1_sig)();
typedef TAknWindowLineLayout (Tgrid_large_graphic_popup_pane_sig)(TInt);
typedef TAknWindowLineLayout (TGraphical_message_image_selection_pop_up_window_elements_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TGraphical_message_image_selection_pop_up_window_elements_Line_2_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TGraphical_message_image_selection_pop_up_window_graphics_Line_1_sig)(const TRect&);
typedef TAknWindowLineLayout (TGraphical_message_image_selection_pop_up_window_graphics_Line_2_sig)(const TRect&);
typedef TAknWindowLineLayout (TGraphical_message_image_selection_pop_up_window_graphics_Line_3_sig)(const TRect&);
typedef TAknWindowLineLayout (TGraphical_message_image_selection_pop_up_window_graphics_Line_4_sig)(const TRect&);
typedef TAknWindowLineLayout (TGraphical_message_image_selection_pop_up_window_graphics_Line_5_sig)(const TRect&);
typedef TAknLayoutTableLimits (TGraphical_message_image_selection_pop_up_window_graphics_Limits_sig)();
typedef TAknWindowLineLayout (TGraphical_message_image_selection_pop_up_window_graphics_sig)(TInt, const TRect&);
typedef TAknWindowLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_elements_Line_2_sig)(TInt);
typedef TAknWindowLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_elements_Line_3_sig)(TInt);
typedef TAknWindowLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_elements_Line_4_sig)(TInt);
typedef TAknWindowLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_elements_Line_5_sig)();
typedef TAknWindowLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_elements_Line_6_sig)(TInt);
typedef TAknLayoutTableLimits (TBrowser_WIM_PIN_Code_query_pop_up_window_elements_SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_elements_SUB_TABLE_0_sig)(TInt, TInt);
typedef TAknTextLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_texts_Line_1_sig)();
typedef TAknTextLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_texts_Line_2_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Browser_WIM_PIN_Code_query_pop_up_window_texts_Line_2_sig)(TInt);
typedef TAknTextLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_texts_Line_3_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Browser_WIM_PIN_Code_query_pop_up_window_texts_Line_3_sig)(TInt);
typedef TAknLayoutTableLimits (TBrowser_WIM_PIN_Code_query_pop_up_window_texts_SUB_TABLE_0_Limits_sig)();
typedef TAknTextLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_texts_SUB_TABLE_0_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_graphics_Line_1_sig)(const TRect&);
typedef TAknWindowLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_graphics_Line_2_sig)(const TRect&);
typedef TAknWindowLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_graphics_Line_3_sig)(const TRect&);
typedef TAknWindowLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_graphics_Line_4_sig)(const TRect&);
typedef TAknWindowLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_graphics_Line_5_sig)(const TRect&);
typedef TAknLayoutTableLimits (TBrowser_WIM_PIN_Code_query_pop_up_window_graphics_Limits_sig)();
typedef TAknWindowLineLayout (TBrowser_WIM_PIN_Code_query_pop_up_window_graphics_sig)(TInt, const TRect&);
typedef TAknWindowLineLayout (TBrowser_Digital_Signing_query_pop_up_window_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TBrowser_Digital_Signing_query_pop_up_window_elements_Line_2_sig)();
typedef TAknLayoutTableLimits (TBrowser_Digital_Signing_query_pop_up_window_elements_Limits_sig)();
typedef TAknWindowLineLayout (TBrowser_Digital_Signing_query_pop_up_window_elements_sig)(TInt);
typedef TAknTextLineLayout (TBrowser_Digital_Signing_query_pop_up_window_texts_Line_1_sig)();
typedef TAknTextLineLayout (TBrowser_Digital_Signing_query_pop_up_window_texts_Line_2_sig)(TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_Browser_Digital_Signing_query_pop_up_window_texts_Line_2_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TSAT_Information_query_pop_up_window_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TSAT_Information_query_pop_up_window_elements_Line_2_sig)();
typedef TAknLayoutTableLimits (TSAT_Information_query_pop_up_window_elements_Limits_sig)();
typedef TAknWindowLineLayout (TSAT_Information_query_pop_up_window_elements_sig)(TInt);
typedef TAknTextLineLayout (TSAT_Information_query_pop_up_window_texts_Line_1_sig)(TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_SAT_Information_query_pop_up_window_texts_Line_1_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TAnalogue_clock_pop_up_window_elements_Line_1_sig)(const TRect&);
typedef TAknWindowLineLayout (TAnalogue_clock_pop_up_window_elements_Line_2_sig)(const TRect&);
typedef TAknWindowLineLayout (TAnalogue_clock_pop_up_window_elements_Line_3_sig)();
typedef TAknWindowLineLayout (TAnalogue_clock_pop_up_window_elements_Line_4_sig)();
typedef TAknWindowLineLayout (TAnalogue_clock_pop_up_window_elements_Line_5_sig)();
typedef TAknLayoutTableLimits (TAnalogue_clock_pop_up_window_elements_SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TAnalogue_clock_pop_up_window_elements_SUB_TABLE_0_sig)(TInt, const TRect&);
typedef TAknLayoutTableLimits (TAnalogue_clock_pop_up_window_elements_SUB_TABLE_1_Limits_sig)();
typedef TAknWindowLineLayout (TAnalogue_clock_pop_up_window_elements_SUB_TABLE_1_sig)(TInt);
typedef TAknTextLineLayout (TAnalogue_clock_pop_up_window_texts_Line_1_sig)();
typedef TAknWindowLineLayout (TDigital_clock_pop_up_window_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TDigital_clock_pop_up_window_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TDigital_clock_pop_up_window_elements_Line_3_sig)();
typedef TAknLayoutTableLimits (TDigital_clock_pop_up_window_elements_Limits_sig)();
typedef TAknWindowLineLayout (TDigital_clock_pop_up_window_elements_sig)(TInt);
typedef TAknTextLineLayout (TDigital_clock_pop_up_window_texts_Line_1_sig)();
typedef TAknTextLineLayout (TDigital_clock_pop_up_window_texts_Line_2_sig)();
typedef TAknLayoutTableLimits (TDigital_clock_pop_up_window_texts_Limits_sig)();
typedef TAknTextLineLayout (TDigital_clock_pop_up_window_texts_sig)(TInt);
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_3_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_4_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_5_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_6_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_7_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_8_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_9_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_10_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_11_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_12_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_13_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_14_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_15_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_16_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_17_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_Line_18_sig)();
typedef TAknLayoutTableLimits (TThumbnail_pop_up_window_elements_Limits_sig)();
typedef TAknWindowLineLayout (TThumbnail_pop_up_window_elements_sig)(TInt);
typedef TAknWindowLineLayout (TCall_status_pop_up_window_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TCall_status_pop_up_window_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TCall_status_pop_up_window_elements_Line_3_sig)();
typedef TAknWindowLineLayout (TCall_status_pop_up_window_elements_Line_4_sig)();
typedef TAknLayoutTableLimits (TCall_status_pop_up_window_elements_Limits_sig)();
typedef TAknWindowLineLayout (TCall_status_pop_up_window_elements_sig)(TInt);
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements_Line_3_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements_Line_4_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements_Line_5_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements_Line_6_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements_Line_7_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements_Line_8_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements_Line_9_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements_Line_10_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements_Line_11_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements_Line_12_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements_Line_13_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements_Line_14_sig)(TInt);
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements_Line_15_sig)();
typedef TAknLayoutTableLimits (TIncoming_call_pop_up_window_elements_SUB_TABLE_0_Limits_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements_SUB_TABLE_0_sig)(TInt);
typedef TAknTextLineLayout (TIncoming_call_pop_up_window_texts_Line_1_sig)(TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_Incoming_call_pop_up_window_texts_Line_1_sig)(TInt, TInt, TInt);
typedef TAknTextLineLayout (TIncoming_call_pop_up_window_texts_Line_2_sig)(TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_Incoming_call_pop_up_window_texts_Line_2_sig)(TInt, TInt, TInt);
typedef TAknLayoutTableLimits (TIncoming_call_pop_up_window_texts_Limits_sig)();
typedef TAknTextLineLayout (TIncoming_call_pop_up_window_texts_sig)(TInt, TInt, TInt);
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_graphics_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_graphics_Line_2_sig)(TInt);
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_graphics_Line_3_sig)(TInt);
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_graphics_Line_4_sig)(TInt);
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_graphics_Line_5_sig)(TInt);
typedef TAknLayoutTableLimits (TIncoming_call_pop_up_window_graphics_Limits_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_graphics_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements__NE__Line_1_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements__NE__Line_2_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements__NE__Line_3_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements__NE__Line_4_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements__NE__Line_5_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements__NE__Line_6_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements__NE__Line_7_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements__NE__Line_8_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements__NE__Line_9_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements__NE__Line_10_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements__NE__Line_11_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements__NE__Line_12_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements__NE__Line_13_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements__NE__Line_14_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements__NE__Line_15_sig)();
typedef TAknLayoutTableLimits (TIncoming_call_pop_up_window_elements__NE__Limits_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_elements__NE__sig)(TInt);
typedef TAknTextLineLayout (TIncoming_call_pop_up_window_texts__NE__Line_1_sig)(TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_Incoming_call_pop_up_window_texts__NE__Line_1_sig)(TInt, TInt, TInt);
typedef TAknTextLineLayout (TIncoming_call_pop_up_window_texts__NE__Line_2_sig)(TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_Incoming_call_pop_up_window_texts__NE__Line_2_sig)(TInt, TInt, TInt);
typedef TAknLayoutTableLimits (TIncoming_call_pop_up_window_texts__NE__Limits_sig)();
typedef TAknTextLineLayout (TIncoming_call_pop_up_window_texts__NE__sig)(TInt, TInt, TInt);
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_graphics__NE__Line_1_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_graphics__NE__Line_2_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_graphics__NE__Line_3_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_graphics__NE__Line_4_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_graphics__NE__Line_5_sig)();
typedef TAknLayoutTableLimits (TIncoming_call_pop_up_window_graphics__NE__Limits_sig)();
typedef TAknWindowLineLayout (TIncoming_call_pop_up_window_graphics__NE__sig)(TInt);
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held__Line_1_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held__Line_2_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held__Line_3_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held__Line_4_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held__Line_5_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held__Line_6_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held__Line_7_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held__Line_8_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held__Line_9_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held__Line_10_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held__Line_11_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held__Line_12_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held__Line_13_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held__Line_14_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held__Line_15_sig)();
typedef TAknLayoutTableLimits (TOutgoing_call_pop_up_window_elements__held__Limits_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held__sig)(TInt);
typedef TAknTextLineLayout (TOutgoing_call_pop_up_window_texts__held__Line_1_sig)(TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_Outgoing_call_pop_up_window_texts__held__Line_1_sig)(TInt, TInt, TInt);
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_graphics__held__Line_1_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held_NE__Line_1_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held_NE__Line_2_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held_NE__Line_3_sig)();
typedef TAknLayoutTableLimits (TOutgoing_call_pop_up_window_elements__held_NE__Limits_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_elements__held_NE__sig)(TInt);
typedef TAknTextLineLayout (TOutgoing_call_pop_up_window_texts__held_NE__Line_1_sig)();
typedef TAknWindowLineLayout (TOutgoing_call_pop_up_window_graphics__held_NE__Line_1_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__one_call__Line_1_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__one_call__Line_2_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__one_call__Line_3_sig)();
typedef TAknLayoutTableLimits (TFirst_call_pop_up_window_elements__one_call__Limits_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__one_call__sig)(TInt);
typedef TAknTextLineLayout (TFirst_call_pop_up_window_texts__one_call__Line_1_sig)(TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_First_call_pop_up_window_texts__one_call__Line_1_sig)(TInt, TInt, TInt);
typedef TAknTextLineLayout (TFirst_call_pop_up_window_texts__one_call__Line_2_sig)(TInt);
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_graphics__one_call__Line_1_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls__Line_1_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls__Line_2_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls__Line_3_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls__Line_4_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls__Line_5_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls__Line_6_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls__Line_7_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls__Line_8_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls__Line_9_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls__Line_10_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls__Line_11_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls__Line_12_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls__Line_13_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls__Line_14_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls__Line_15_sig)();
typedef TAknLayoutTableLimits (TFirst_call_pop_up_window_elements__two_calls__Limits_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls__sig)(TInt);
typedef TAknTextLineLayout (TFirst_call_pop_up_window_texts__two_calls__Line_1_sig)(TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_First_call_pop_up_window_texts__two_calls__Line_1_sig)(TInt, TInt, TInt);
typedef TAknTextLineLayout (TFirst_call_pop_up_window_texts__two_calls__Line_2_sig)(TInt);
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_graphics__two_calls__Line_1_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls_a_waiting_call__Line_1_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls_a_waiting_call__Line_2_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls_a_waiting_call__Line_3_sig)();
typedef TAknLayoutTableLimits (TFirst_call_pop_up_window_elements__two_calls_a_waiting_call__Limits_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_elements__two_calls_a_waiting_call__sig)(TInt);
typedef TAknTextLineLayout (TFirst_call_pop_up_window_texts__two_calls_a_waiting_call__Line_1_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_graphics__two_calls_a_waiting_call__Line_1_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_graphics__two_wait_NE__Line_1_sig)();
typedef TAknWindowLineLayout (TWaiting_call_pop_up_window_elements__held_out_NE__Line_1_sig)();
typedef TAknWindowLineLayout (TWaiting_call_pop_up_window_elements__held_out_NE__Line_2_sig)();
typedef TAknWindowLineLayout (TWaiting_call_pop_up_window_elements__held_out_NE__Line_3_sig)();
typedef TAknLayoutTableLimits (TWaiting_call_pop_up_window_elements__held_out_NE__Limits_sig)();
typedef TAknWindowLineLayout (TWaiting_call_pop_up_window_elements__held_out_NE__sig)(TInt);
typedef TAknTextLineLayout (TWaiting_call_pop_up_window_texts__held_out_NE__Line_1_sig)();
typedef TAknWindowLineLayout (TWaiting_call_pop_up_window_graphics__held_out_NE__Line_1_sig)();
typedef TAknWindowLineLayout (TWaiting_call_pop_up_window_graphics__out__Line_1_sig)();
typedef TAknWindowLineLayout (TSecond_call_pop_up_window_elements__two__Line_1_sig)();
typedef TAknWindowLineLayout (TSecond_call_pop_up_window_elements__two__Line_2_sig)();
typedef TAknWindowLineLayout (TSecond_call_pop_up_window_elements__two__Line_3_sig)();
typedef TAknLayoutTableLimits (TSecond_call_pop_up_window_elements__two__Limits_sig)();
typedef TAknWindowLineLayout (TSecond_call_pop_up_window_elements__two__sig)(TInt);
typedef TAknTextLineLayout (TSecond_call_pop_up_window_texts__two_calls__Line_1_sig)(TInt, TInt);
typedef TAknMultiLineTextLayout (TMultiline_Second_call_pop_up_window_texts__two_calls__Line_1_sig)(TInt, TInt, TInt);
typedef TAknTextLineLayout (TSecond_call_pop_up_window_texts__two_calls__Line_2_sig)(TInt);
typedef TAknWindowLineLayout (TSecond_call_pop_up_window_graphics__two_calls__Line_1_sig)();
typedef TAknWindowLineLayout (TSecond_call_pop_up_window_elements__two_calls_waiting_call__Line_1_sig)();
typedef TAknWindowLineLayout (TSecond_call_pop_up_window_elements__two_calls_waiting_call__Line_2_sig)();
typedef TAknWindowLineLayout (TSecond_call_pop_up_window_elements__two_calls_waiting_call__Line_3_sig)();
typedef TAknLayoutTableLimits (TSecond_call_pop_up_window_elements__two_calls_waiting_call__Limits_sig)();
typedef TAknWindowLineLayout (TSecond_call_pop_up_window_elements__two_calls_waiting_call__sig)(TInt);
typedef TAknTextLineLayout (TSecond_call_pop_up_window_texts__two_calls_waiting_call__Line_1_sig)();
typedef TAknWindowLineLayout (TSecond_call_pop_up_window_graphics__two_calls_waiting_call__Line_1_sig)();
typedef TAknWindowLineLayout (TConference_call_pop_up_window_descendants_and_elements_Line_1_sig)(const TRect&);
typedef TAknWindowLineLayout (Tlist_conf_pane_sig)(TInt);
typedef TAknTextLineLayout (TConference_call_pop_up_window_texts_Line_1_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Conference_call_pop_up_window_texts_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TMuted_state_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TCalendar_events_list_popup_components_Line_1_sig)(TInt);
typedef TAknTextLineLayout (TCalendar_events_list_popup_texts_Line_1_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Calendar_events_list_popup_texts_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TCalendar_events_list_popup_graphics_Line_1_sig)(const TRect&);
typedef TAknWindowLineLayout (TCalendar_events_list_popup_graphics_Line_2_sig)(const TRect&);
typedef TAknWindowLineLayout (TCalendar_events_list_popup_graphics_Line_3_sig)(const TRect&);
typedef TAknWindowLineLayout (TCalendar_events_list_popup_graphics_Line_4_sig)(const TRect&);
typedef TAknLayoutTableLimits (TCalendar_events_list_popup_graphics_Limits_sig)();
typedef TAknWindowLineLayout (TCalendar_events_list_popup_graphics_sig)(TInt, const TRect&);
typedef TAknWindowLineLayout (Tcell_cams_pane_sig)(TInt, TInt);
typedef TAknWindowLineLayout (Timage_or_qgn_prop_dyc__ref__sig)();
typedef TAknWindowLineLayout (Tloc_type_pane_sig)(TInt);
typedef TAknWindowLineLayout (Tloc_req_pane_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TAdditional_heading_pane_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TAdditional_heading_pane_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TAdditional_heading_pane_elements_Line_3_sig)();
typedef TAknTextLineLayout (TPresence_status_popup_window_texts_Line_1_sig)();
typedef TAknTextLineLayout (TPresence_status_popup_window_texts_Line_2_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Presence_status_popup_window_texts_Line_2_sig)(TInt);
typedef TAknWindowLineLayout (TPresence_status_window_graphics_Line_1_sig)();
typedef TAknWindowLineLayout (TPresence_status_window_graphics_Line_2_sig)();
typedef TAknWindowLineLayout (TPresence_status_window_graphics_Line_3_sig)();
typedef TAknWindowLineLayout (TPresence_status_window_graphics_Line_4_sig)();
typedef TAknWindowLineLayout (TPresence_status_window_graphics_Line_5_sig)();
typedef TAknLayoutTableLimits (TPresence_status_window_graphics_Limits_sig)();
typedef TAknWindowLineLayout (TPresence_status_window_graphics_sig)(TInt);
typedef TAknWindowLineLayout (Tpopup_number_entry_window_sig)();
typedef TAknWindowLineLayout (Tpopup_pb_memory_status_window_sig)();
typedef TAknWindowLineLayout (Tpopup_grid_large_graphic_window_sig)(TInt);
typedef TAknWindowLineLayout (Tpopup_call_audio_in_window_sig)(TInt);
typedef TAknWindowLineLayout (Tpopup_call_audio_out_window_sig)(TInt);
typedef TAknWindowLineLayout (Tpopup_call_audio_first_window_sig)(TInt, TInt);
typedef TAknWindowLineLayout (Tpopup_call_audio_wait_window_sig)(TInt);
typedef TAknWindowLineLayout (Tpopup_call_audio_second_window_sig)(TInt, TInt);
typedef TAknWindowLineLayout (Tpopup_call_audio_conf_window_sig)(TInt);
typedef TAknWindowLineLayout (Tpopup_call_video_in_window_sig)();
typedef TAknWindowLineLayout (Tpopup_call_video_first_window_sig)();
typedef TAknWindowLineLayout (Tpopup_call_video_down_window_sig)();
typedef TAknWindowLineLayout (Tpopup_query_wml_wim_window_sig)(TInt);
typedef TAknWindowLineLayout (Tpopup_query_wml_sign_window_sig)(TInt);
typedef TAknWindowLineLayout (Tpopup_query_sat_info_window_sig)(TInt);
typedef TAknWindowLineLayout (Tpopup_grid_large_compo_graphic_window_sig)();
typedef TAknWindowLineLayout (Tpopup_dyc_status_message_window_sig)();
typedef TAknWindowLineLayout (TVGA_sig)();
typedef TAknWindowLineLayout (TVGA_turned_90_sig)();
typedef TAknWindowLineLayout (TCIF_sig)();
typedef TAknWindowLineLayout (TCIF_turned_90_sig)();
typedef TAknWindowLineLayout (TCommunicator_personal_image_sig)();
typedef TAknWindowLineLayout (TImage_aspect_ratio___0_625_sig)();
typedef TAknWindowLineLayout (TImage_aspect_ratio___1_467_sig)();
typedef TAknWindowLineLayout (T_0_625___image_aspect_ratio___1_467_sig)();
typedef TAknLayoutTableLimits (TThumbnail_image_sizes_Limits_sig)();
typedef TAknWindowLineLayout (TThumbnail_image_sizes_sig)(TInt);
typedef TAknWindowLineLayout (TMessage_writing_layout_elements_Line_1_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TMessage_writing_layout_elements_Line_2_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TMessage_writing_layout_elements_Line_3_sig)(TInt);
typedef TAknWindowLineLayout (TMessage_writing_layout_elements_Line_4_sig)(TInt);
typedef TAknWindowLineLayout (TMessage_writing_layout_elements_Line_5_sig)(TInt);
typedef TAknWindowLineLayout (TMessage_writing_layout_elements_Line_6_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TMessage_writing_layout_elements_Line_7_sig)();
typedef TAknWindowLineLayout (TMessage_writing_layout_elements_Line_8_sig)(TInt, TInt, TInt);
typedef TAknWindowLineLayout (TCamcorderBurst_Mode_Post_Recording_cell_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TCamcorderBurst_Mode_Post_Recording_cell_elements_Line_2_sig)();
typedef TAknLayoutTableLimits (TCamcorderBurst_Mode_Post_Recording_cell_elements_Limits_sig)();
typedef TAknWindowLineLayout (TCamcorderBurst_Mode_Post_Recording_cell_elements_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Still_Image_Viewfinder_descendants_and_elements_Line_6_sig)();
typedef TAknWindowLineLayout (TCamcorder_Still_Image_Viewfinder_descendants_and_elements_Line_7_sig)();
typedef TAknWindowLineLayout (Tnear_QCIF_sig)();
typedef TAknTextLineLayout (TMedia_Player_navi_pane_texts_Line_1_sig)();
typedef TAknWindowLineLayout (TVolume_strength_area_values_Line_1_sig)();
typedef TAknWindowLineLayout (TVolume_strength_area_values_Line_2_sig)();
typedef TAknWindowLineLayout (TVolume_strength_area_values_Line_3_sig)();
typedef TAknWindowLineLayout (TVolume_strength_area_values_Line_4_sig)();
typedef TAknWindowLineLayout (TVolume_strength_area_values_Line_5_sig)();
typedef TAknWindowLineLayout (TVolume_strength_area_values_Line_6_sig)();
typedef TAknWindowLineLayout (TVolume_strength_area_values_Line_7_sig)();
typedef TAknWindowLineLayout (TVolume_strength_area_values_Line_8_sig)();
typedef TAknWindowLineLayout (Tblid_compass_pane_sig)();
typedef TAknWindowLineLayout (TBLID_compass_view_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TBLID_compass_view_elements_Line_3_sig)();
typedef TAknLayoutTableLimits (TBLID_compass_view_elements_Limits_sig)();
typedef TAknWindowLineLayout (TBLID_compass_view_elements_sig)(TInt);
typedef TAknWindowLineLayout (TAccuracyvalues_Line_1_sig)();
typedef TAknWindowLineLayout (TAccuracyvalues_Line_2_sig)();
typedef TAknWindowLineLayout (TAccuracyvalues_Line_3_sig)();
typedef TAknWindowLineLayout (TAccuracyvalues_Line_4_sig)();
typedef TAknWindowLineLayout (TAccuracyvalues_Line_5_sig)();
typedef TAknWindowLineLayout (TAccuracyvalues_Line_6_sig)();
typedef TAknWindowLineLayout (TAccuracyvalues_Line_7_sig)();
typedef TAknWindowLineLayout (TAccuracyvalues_Line_8_sig)();
typedef TAknLayoutTableLimits (TAccuracyvalues_Limits_sig)();
typedef TAknWindowLineLayout (TAccuracyvalues_sig)(TInt);
typedef TAknTextLineLayout (TBLIDcompass_view_texts_Line_1_sig)();
typedef TAknTextLineLayout (TBLIDcompass_view_texts_Line_2_sig)();
typedef TAknTextLineLayout (TBLIDcompass_view_texts_Line_3_sig)();
typedef TAknLayoutTableLimits (TBLIDcompass_view_texts_Limits_sig)();
typedef TAknTextLineLayout (TBLIDcompass_view_texts_sig)(TInt);
typedef TAknWindowLineLayout (TCompasspane_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TArrow_head__graphic_sig)();
typedef TAknWindowLineLayout (TArrow_body__graphic_sig)();
typedef TAknLayoutTableLimits (TCompasspane_elements_Limits_sig)();
typedef TAknWindowLineLayout (TCompasspane_elements_sig)(TInt);
typedef TAknWindowLineLayout (Tblid_direction_pane_sig)();
typedef TAknTextLineLayout (TBLIDdirection_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TOutgoingincoming_video_call_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TOutgoingincoming_video_call_elements_Line_2_sig)();
typedef TAknLayoutTableLimits (TOutgoingincoming_video_call_elements_Limits_sig)();
typedef TAknWindowLineLayout (TOutgoingincoming_video_call_elements_sig)(TInt);
typedef TAknWindowLineLayout (TUplink_video_image__large__Line_1_sig)();
typedef TAknWindowLineLayout (TUplink_video_image__large__Line_2_sig)();
typedef TAknWindowLineLayout (TUplink_video_image__large__Line_3_sig)();
typedef TAknLayoutTableLimits (TUplink_video_image__large__Limits_sig)();
typedef TAknWindowLineLayout (TUplink_video_image__large__sig)(TInt);
typedef TAknWindowLineLayout (TDownlink_video_image_Line_1_sig)();
typedef TAknWindowLineLayout (Tdownlink_stream_sig)();
typedef TAknWindowLineLayout (TDownlink_video_image_Line_3_sig)();
typedef TAknLayoutTableLimits (TDownlink_video_image_Limits_sig)();
typedef TAknWindowLineLayout (TDownlink_video_image_sig)(TInt);
typedef TAknWindowLineLayout (Ttitle_pane_sig)();
typedef TAknWindowLineLayout (Tuni_indicator_pane_sig)();
typedef TAknLayoutTableLimits (TStatus_pane_changes_Limits_sig)();
typedef TAknWindowLineLayout (TStatus_pane_changes_sig)(TInt);
typedef TAknTextLineLayout (TTitle_pane_texts_Line_2_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_Title_pane_texts_Line_2_sig)(TInt);
typedef TAknWindowLineLayout (TNavipane_elements_and_descendant_panes_Line_1_sig)();
typedef TAknWindowLineLayout (Tzooming_pane_sig)();
typedef TAknLayoutTableLimits (TNavipane_elements_and_descendant_panes_Limits_sig)();
typedef TAknWindowLineLayout (TNavipane_elements_and_descendant_panes_sig)(TInt);
typedef TAknWindowLineLayout (TZooming_pane_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TZooming_pane_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TZooming_pane_elements_Line_3_sig)();
typedef TAknWindowLineLayout (TZooming_pane_elements_Line_4_sig)();
typedef TAknLayoutTableLimits (TZooming_pane_elements_Limits_sig)();
typedef TAknWindowLineLayout (TZooming_pane_elements_sig)(TInt);
typedef TAknTextLineLayout (TNavipanetexts_Line_1_sig)();
typedef TAknTextLineLayout (TNavipanetexts_Line_2_sig)();
typedef TAknLayoutTableLimits (TNavipanetexts_Limits_sig)();
typedef TAknTextLineLayout (TNavipanetexts_sig)(TInt);
typedef TAknWindowLineLayout (TVideocall_indicator__NEwaiting_call__Line_1_sig)();
typedef TAknWindowLineLayout (TVideocall_indicator__NEwaiting_call__Line_2_sig)();
typedef TAknLayoutTableLimits (TVideocall_indicator__NEwaiting_call__Limits_sig)();
typedef TAknWindowLineLayout (TVideocall_indicator__NEwaiting_call__sig)(TInt);
typedef TAknWindowLineLayout (TCallstatus_pop_up_window_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TCallstatus_pop_up_window_elements_Line_2_sig)();
typedef TAknLayoutTableLimits (TCallstatus_pop_up_window_elements_Limits_sig)();
typedef TAknWindowLineLayout (TCallstatus_pop_up_window_elements_sig)(TInt);
typedef TAknWindowLineLayout (TRectangle_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_2_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_3_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_4_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_5_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_6_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_7_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_8_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_9_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_10_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_11_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_12_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_13_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_14_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_15_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_16_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_17_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__Line_18_sig)();
typedef TAknLayoutTableLimits (TColorpalette_preview_screen_element_placing__main_area__Limits_sig)();
typedef TAknWindowLineLayout (TColorpalette_preview_screen_element_placing__main_area__sig)(TInt);
typedef TAknTextLineLayout (TColorpalette_preview_screen_text_placing__main_area__Line_1_sig)();
typedef TAknTextLineLayout (TColorpalette_preview_screen_text_placing__main_area__Line_2_sig)();
typedef TAknLayoutTableLimits (TColorpalette_preview_screen_text_placing__main_area__Limits_sig)();
typedef TAknTextLineLayout (TColorpalette_preview_screen_text_placing__main_area__sig)(TInt);
typedef TAknWindowLineLayout (Taudioskin_pane_sig)();
typedef TAknTextLineLayout (TAudio_Playbackview_texts_Line_1_sig)();
typedef TAknTextLineLayout (TAudio_Playbackview_texts_Line_2_sig)();
typedef TAknTextLineLayout (TAudio_Playbackview_texts_Line_3_sig)();
typedef TAknTextLineLayout (TAudio_Playbackview_texts_Line_4_sig)();
typedef TAknLayoutTableLimits (TAudio_Playbackview_texts_Limits_sig)();
typedef TAknTextLineLayout (TAudio_Playbackview_texts_sig)(TInt);
typedef TAknWindowLineLayout (TAudioskin_pane_elements_Line_1_sig)();
typedef TAknWindowLineLayout (Tpopup_loc_request_window_sig)(TInt);
typedef TAknWindowLineLayout (Tlist_single_graphic_popup_wml_pane_sig)(TInt);
typedef TAknLayoutTableLimits (TPop_up_window_list_pane_descendants_call_conf__Limits_sig)();
typedef TAknWindowLineLayout (TPop_up_window_list_pane_descendants_call_conf__sig)(TInt, TInt);
typedef TAknWindowLineLayout (Tlist_wml_pane_sig)(TInt);
typedef TAknWindowLineLayout (TBrowser_address_field_pop_up_window_graphics_Line_1_sig)(const TRect&);
typedef TAknWindowLineLayout (TBrowser_address_field_pop_up_window_graphics_Line_2_sig)(const TRect&);
typedef TAknWindowLineLayout (TBrowser_address_field_pop_up_window_graphics_Line_3_sig)(const TRect&);
typedef TAknWindowLineLayout (TBrowser_address_field_pop_up_window_graphics_Line_4_sig)(const TRect&);
typedef TAknLayoutTableLimits (TBrowser_address_field_pop_up_window_graphics_Limits_sig)();
typedef TAknWindowLineLayout (TBrowser_address_field_pop_up_window_graphics_sig)(TInt, const TRect&);
typedef TAknTextLineLayout (TFirst_call_pop_up_window_texts__one_call__Line_3_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_graphics__one_call__Line_2_sig)();
typedef TAknLayoutTableLimits (TFirst_call_pop_up_window_graphics__one_call__Limits_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_graphics__one_call__sig)(TInt);
typedef TAknTextLineLayout (TFirst_call_pop_up_window_texts__two_calls__Line_3_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_graphics__two_calls__Line_2_sig)();
typedef TAknLayoutTableLimits (TFirst_call_pop_up_window_graphics__two_calls__Limits_sig)();
typedef TAknWindowLineLayout (TFirst_call_pop_up_window_graphics__two_calls__sig)(TInt);
typedef TAknWindowLineLayout (TCall_type_pane_split_Line_1_sig)();
typedef TAknWindowLineLayout (TCall_type_pane_split_Line_2_sig)();
typedef TAknWindowLineLayout (Tpopup_wml_address_window_sig)(TInt, TInt);
typedef TAknWindowLineLayout (TList_pane_elements__browser_single_graphic__Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TList_pane_elements__browser_single_graphic__Line_2_sig)();
typedef TAknTextLineLayout (TList_pane_texts__browser_single_graphic__Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Still_Image_Viewfinder_descendants_and_elements_Line_8_sig)();
typedef TAknWindowLineLayout (TCamcorder_Still_Image_Viewfinder_descendants_and_elements_Line_9_sig)();
typedef TAknWindowLineLayout (TCamcorder_Video_Viewfinder_descendants_and_elements_Line_7_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Video_Viewfinder_descendants_and_elements_Line_8_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Video_Recording_descendants_and_elements_Line_7_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Video_Recording_descendants_and_elements_Line_8_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Video_Recording_descendants_and_elements_Line_9_sig)(TInt);
typedef TAknTextLineLayout (TCamcorder_viewfinder_texts_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Still_Image_Burst_Mode_Post_recording_elements_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Still_Image_Burst_Mode_Post_recording_elements_Line_2_sig)(TInt);
typedef TAknWindowLineLayout (Tgrid_cams_pane_sig)();
typedef TAknTextLineLayout (TCamcorder_Burst_Mode_texts_Line_1_sig)();
typedef TAknWindowLineLayout (TCamcorder_Brightness_Contrast_descendants_and_elements_Line_1_sig)();
typedef TAknWindowLineLayout (Tnavi_slider_pane_sig)();
typedef TAknLayoutTableLimits (TCamcorder_Brightness_Contrast_descendants_and_elements_Limits_sig)();
typedef TAknWindowLineLayout (TCamcorder_Brightness_Contrast_descendants_and_elements_sig)(TInt);
typedef TAknWindowLineLayout (TNavi_Slider_pane_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TNavi_Slider_pane_elements_Line_2_sig)();
typedef TAknLayoutTableLimits (TNavi_Slider_pane_elements_Limits_sig)();
typedef TAknWindowLineLayout (TNavi_Slider_pane_elements_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Manual_Exposure_descendants_and_elements_Line_1_sig)();
typedef TAknWindowLineLayout (TZooming_steps_sizes_Line_1_sig)();
typedef TAknWindowLineLayout (TZooming_steps_sizes_Line_2_sig)();
typedef TAknWindowLineLayout (TZooming_steps_sizes_Line_3_sig)();
typedef TAknWindowLineLayout (TZooming_steps_sizes_Line_4_sig)();
typedef TAknWindowLineLayout (TZooming_steps_sizes_Line_5_sig)();
typedef TAknWindowLineLayout (TZooming_steps_sizes_Line_6_sig)();
typedef TAknWindowLineLayout (TZooming_steps_sizes_Line_7_sig)();
typedef TAknWindowLineLayout (TZooming_steps_sizes_Line_8_sig)();
typedef TAknWindowLineLayout (TZooming_steps_sizes_Line_9_sig)();
typedef TAknWindowLineLayout (TZooming_steps_sizes_Line_10_sig)();
typedef TAknWindowLineLayout (TZooming_steps_sizes_Line_11_sig)();
typedef TAknWindowLineLayout (TUplink_video_image__small__Line_1_sig)();
typedef TAknWindowLineLayout (TUplink_video_image__small__Line_2_sig)();
typedef TAknWindowLineLayout (TUplink_video_image__small__Line_3_sig)();
typedef TAknLayoutTableLimits (TUplink_video_image__small__Limits_sig)();
typedef TAknWindowLineLayout (TUplink_video_image__small__sig)(TInt);
typedef TAknWindowLineLayout (TDownlink_video_image_Line_4_sig)();
typedef TAknWindowLineLayout (Tdownlink_stream_area_sig)();
typedef TAknWindowLineLayout (TMIDP_text_elements_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TMIDP_text_elements_Line_2_sig)();
typedef TAknTextLineLayout (TMIDP_texts_Line_1_sig)(TInt);
typedef TAknMultiLineTextLayout (TMultiline_MIDP_texts_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Zooming_factor_pane_elements_v2_Line_1_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Zooming_factor_pane_elements_v2_Line_2_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Zooming_factor_pane_elements_v2_Line_3_sig)(TInt);
typedef TAknWindowLineLayout (TCamcorder_Zooming_factor_pane_elements_v2_Line_4_sig)(TInt);
typedef TAknLayoutTableLimits (TCamcorder_Zooming_factor_pane_elements_v2_Limits_sig)();
typedef TAknWindowLineLayout (TCamcorder_Zooming_factor_pane_elements_v2_sig)(TInt, TInt);
typedef TAknWindowLineLayout (Tcell_radio_pane_sig)(TInt);
typedef TAknWindowLineLayout (TFM_Radio_cell_elements_Line_1_sig)();
typedef TAknWindowLineLayout (Tgrid_radio_pane_sig)();
typedef TAknWindowLineLayout (TFM_Radio_elements_Line_2_sig)();
typedef TAknWindowLineLayout (TFM_Radio_elements_Line_3_sig)();
typedef TAknWindowLineLayout (TFM_Radio_elements_Line_4_sig)();
typedef TAknWindowLineLayout (TFM_Radio_elements_Line_5_sig)();
typedef TAknLayoutTableLimits (TFM_Radio_elements_Limits_sig)();
typedef TAknWindowLineLayout (TFM_Radio_elements_sig)(TInt);
typedef TAknTextLineLayout (TFM_Radio_texts_Line_1_sig)();
typedef TAknTextLineLayout (TFM_Radio_texts_Line_2_sig)();
typedef TAknTextLineLayout (TFM_Radio_texts_Line_3_sig)();
typedef TAknTextLineLayout (TFM_Radio_texts_Line_4_sig)();
typedef TAknTextLineLayout (TFM_Radio_texts_Line_5_sig)();
typedef TAknLayoutTableLimits (TFM_Radio_texts_Limits_sig)();
typedef TAknTextLineLayout (TFM_Radio_texts_sig)(TInt);
typedef TAknWindowLineLayout (Taid_cams_cif_uncrop_pane_sig)();
typedef TAknWindowLineLayout (Tvideo_down_subqcif_pane_sig)();

} // end of namespace AppLayout

#endif // APPLAYOUT_CDL_COMMON_H
